package com.yizhi.practice.application.enums;

import java.util.Arrays;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

/**
 * 陪练模式枚举
 * 80:训练+考核 ,10:训练 20:考核
 */
public enum PracticeModelStatusEnum {

    PRA_ASSESS(80, "训练+考核"),
    PRACTICE(10, "训练"),
    ASSESSMENT(20, "考核");
    private Integer status;
    private String desc;

    PracticeModelStatusEnum(Integer status, String desc) {
        this.status = status;
        this.desc = desc;
    }

    /**
     * 返回所有状态
     *
     * @return
     */

    public static List<Integer> getAllStatus() {
        return Arrays.stream(PracticeModelStatusEnum.values()).map(PracticeModelStatusEnum::getStatus).collect(Collectors.toList());
    }

    public static PracticeModelStatusEnum getByStatus(Integer status) {
        Map<Integer,PracticeModelStatusEnum> map = Arrays.stream(PracticeModelStatusEnum.values()).collect(Collectors.toMap(PracticeModelStatusEnum::getStatus, a -> a,(k1, k2)-> k1));
        return map.get(status);
    }

    public Integer getStatus() {
        return status;
    }

    public String getDesc() {
        return desc;
    }

}
