package com.yizhi.practice.application.feign;

import com.yizhi.core.application.context.RequestContext;
import com.yizhi.util.application.domain.BizResponse;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * @Date 2020/11/19 2:00 下午
 * @Author lvjianhui
 **/
@FeignClient(value = "chat-practice",contextId = "MyPracticeStudentClient",path = "/student/practice")
public interface MyPracticeStudentClient {

    @GetMapping("/running/count/get")
    public BizResponse<Integer> getRuningPracticeCount(@RequestBody RequestContext requestContext);

    @GetMapping("/user/auth")
    public BizResponse<Boolean> getUserPracticeAuth(@RequestBody RequestContext requestContext
            , @RequestParam("practiceId") Long practiceId);

}
