package com.yizhi.practice.application.feign;

import com.yizhi.practice.application.pojo.vo.PracticeChatLogVo;
import com.yizhi.practice.application.pojo.vo.PracticeVisibleVo;
import com.yizhi.practice.application.pojo.vo.PracticeVo;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

@FeignClient(value = "chat-practice",contextId = "PracticeConfigClient",path = "/remote/manage/practice")
public interface PracticeConfigClient {


    @GetMapping(path = "/range/list")
    List<PracticeVo> selectRangeList(@RequestParam(name = "startDate",value="startDate",required=false)String startDate,
                                                  @RequestParam(name = "endDate",value="endDate",required=false)String endDate);


    @GetMapping(path = "/visible/range/list")
    List<PracticeVisibleVo> selectVisibleRangeList(@RequestParam(name = "startDate",value="startDate",required=false) String startDate,
                                                                @RequestParam(name = "endDate",value="endDate",required=false) String endDate);


    /**
     * 查询指定时间范围内更新的陪练记录
     */
    @GetMapping(path = "/chat/range/list")
    List<PracticeChatLogVo> selectChatLogRangeList(@RequestParam(name = "startDate",value="startDate",required=false) String startDate,
                                                                @RequestParam(name = "endDate",value="endDate",required=false) String endDate);
}
