package com.yizhi.practice.application.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
public class PracticeVo {

    private Long id;

    @ApiModelProperty(value = "陪练名")
    private String name;

    @ApiModelProperty(value = "陪练logoURL")
    
    private String logoUrl;

    @ApiModelProperty(value = "陪练描述")
    private String description;

    @ApiModelProperty(value = "80:训练+考核 ,10:训练 20:考核")
    
    private Integer useType;

    @ApiModelProperty(value = "训练开始时间")
    
    private Date practiceStartAt;

    @ApiModelProperty(value = "训练结束时间")
    
    private Date practiceEndAt;

    @ApiModelProperty(value = "考核开始时间")
    
    private Date examStartAt;

    @ApiModelProperty(value = "考核结束时间")
    
    private Date examEndAt;

    @ApiModelProperty(value = "允许最大考试；0：无限次；其他有限次；默认0")
    
    private Integer maxExamCount;

    @ApiModelProperty(value = "自定义关键词，逗号分隔，命中得分")
    
    private String keyWord;

    @ApiModelProperty(value = "机器人配置ID")
    
    private Long robotId;

    @ApiModelProperty(value = "机器人参数")
    
    private String robotParams;

    @ApiModelProperty(value = "机器人名字")
    
    private String robotName;

    @ApiModelProperty(value = "机器人头像URL null时走默认头像")
    
    private String robotPicUrl;

    @ApiModelProperty(value = "陪练状态 80:上架 30:下架 10:草稿")
    private Integer status;

    @ApiModelProperty(value = "练习可见范围  80:平台可见 40:指定用户可见")
    
    private Integer visibleType;

    @ApiModelProperty(value = "跳过对话类型 80允许，10:不允许")
    
    private Integer skipType;

    @ApiModelProperty(value = "80:本轮得分超过限制，则进入下轮；10:无论得分多少，直接进入下一轮")
    
    private Integer startNextRoundType;

    @ApiModelProperty(value = "超过该分数，进入下一轮对话")
    
    private Integer startNextRoundScore;

    @ApiModelProperty(value = "每轮最多失败次数，超过直接到下轮")
    
    private Integer practiceFailedMaxCount;

    @ApiModelProperty(value = "80:允许重复提交 10:不允许重复提交")
    
    private Integer repeatPush;

    @ApiModelProperty(value = "多轮对话：80:开启 10:关闭")
    
    private Integer manyRoundChat;

    @ApiModelProperty(value = "相似度")
    
    private Integer similarityRate;

    @ApiModelProperty(value = "考试失败最大次数，超过直接到下轮")
    
    private Integer examFailedMaxCount;

    @ApiModelProperty(value = "未识别回复类型 80:默认回复，10:自定义回复")
    
    private Integer similarityFailedMsgType;

    @ApiModelProperty(value = "自定义未识别回复，分号分隔。")
    
    private String similarityFailedMsg;

    @ApiModelProperty(value = "考试及格分")
    
    private Integer examPassMinScore;

    @ApiModelProperty(value = "是否发放积分 80:发放 10:不发放")
    
    private Integer examGivenPointType;

    @ApiModelProperty(value = "完整性")
    
    private Integer scoreRuleComplete;

    @ApiModelProperty(value = "完整性")
    
    private Integer scoreRuleKeyword;

    @ApiModelProperty(value = "流畅性")
    
    private Integer scoreRuleSmooth;

    @ApiModelProperty(value = "表达能力")
    
    private Integer scoreRuleExpress;

    @ApiModelProperty(value = "礼貌")
    
    private Integer scoreRulePolite;

    @ApiModelProperty(value = "0:未删除 1:已删除")
    private Boolean deleted;

    @ApiModelProperty(value = "部门ID")
    
    private Long orgId;

    @ApiModelProperty(value = "站点ID")
    
    private Long siteId;

    @ApiModelProperty(value = "公司ID")
    
    private Long companyId;

    @ApiModelProperty(value = "创建记录的管理员ID")
    
    private Long createdUid;

    @ApiModelProperty(value = "创建时间")
    
    private Date createdAt;

    @ApiModelProperty(value = "最后一次更新记录的管理员ID")
    
    private Long updatedUid;

    @ApiModelProperty(value = "更新时间")
    
    private Date updatedAt;
}
