package com.yizhi.practice.application.request;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
@ApiModel(value = "陪练对话节点信息")
public class PracticeChatNodeReq {

    private Long id;
    @ApiModelProperty(name = "sceneNodeType",value = "节点标识 10：机器人，20：学员 节点，80：开始节点")
    private Integer sceneNodeType;

    @ApiModelProperty(name = "level",value = "层级;开始节点层级为0； 开始节点下所有机器人节点层级都为1，依次向下类推")
    private Integer level;

    @ApiModelProperty(name = "robotContent",value = "该轮 机器人话术")
    private String robotContent;

    @ApiModelProperty(name = "accountContent",value = "该轮学员标准话术文本")
    private String accountContent;

    @ApiModelProperty(value = "学员上传真人话术文件名")
    private String accountContentFileName;

    @ApiModelProperty(name = "accountRealVoiceUrl",value = "学员真人话术音频URL")
    private String accountRealVoiceUrl;

    @ApiModelProperty(value = "机器人话术音频URL")
    private String robotContentVoiceUrl;

    @ApiModelProperty(name = "keyWordList",value = "学员话术关键字 key为关键字，value为拓展词,多个拓展词用分号分割")
    private List<KeyWordsReq> keyWordList;

    @ApiModelProperty(name = "accountContentTabooWord",value = "禁忌词，多个用分号分割")
    private String accountContentTabooWord;

    @ApiModelProperty(value = "节点坐标；x轴坐标")
    @JsonProperty(value = "xAxis")
    private String xAxis;

    @ApiModelProperty(value = "节点坐标；y轴坐标")
    @JsonProperty(value = "yAxis")
    private String yAxis;

    @ApiModelProperty(name = "childNodes",value = "该对话节点下子节点列表")
    private List<PracticeChatNodeReq> childNodes;

}
