package com.yizhi.practice.application.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 查询陪练列表请求体
 */
@Data
@ApiModel(value = "查询陪练列表请求体")
public class PracticesGetReq {

    @ApiModelProperty(name = "name",value = "陪练名称或者关键字")
    private String name;

    @ApiModelProperty(name = "status",value = "陪练状态 80:上架 30:下架 10:草稿",allowableValues = "80,30,10")
    private Integer status;

    @ApiModelProperty(name = "models",value = "陪练模式 80:训练+考核 ,10:训练 20:考核")
    private List<Integer> models;

    @ApiModelProperty(name = "pageNo", value = "当前页码 默认1")
    private Integer pageNo = 1;

    @ApiModelProperty(name = "pageSize", value = "每页大小 默认10")
    private Integer pageSize = 10;

    /**
     * 用户以及用户管理的用户ids
     * 用于根据权限查询陪练列表
     * */
    private List<Long> ids;

    private Long companyId;
    private Long siteId;



}
