package com.yizhi.practice.application.config;

import java.util.concurrent.ArrayBlockingQueue;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.ThreadPoolExecutor;
import java.util.concurrent.TimeUnit;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
public class ThreadPoolConfig {

	@Value("${practice.thread.pool.corePoolSize}")
	private Integer corePoolSize;
	
	@Value("${practice.thread.pool.maxPoolSize}")
	private Integer maxPoolSize;
	
	@Value("${practice.thread.pool.keepAliveTime}")
	private Long keepAliveTime;
	
	@Value("${practice.thread.pool.queueSize}")
	private Integer queueSize;
	
	@Bean(value="practiceThreadPool")
	public ExecutorService practiceThreadPool() {
		return new ThreadPoolExecutor(corePoolSize, maxPoolSize, keepAliveTime, TimeUnit.MILLISECONDS, new ArrayBlockingQueue<>(queueSize), new ThreadPoolExecutor.AbortPolicy());
	}
}
