package com.yizhi.practice.application.controller.manage.statistics;

import com.baomidou.mybatisplus.plugins.Page;
import com.yizhi.core.application.context.ContextHolder;
import com.yizhi.statistics.application.feign.StatisticsPracticeByOrgClient;
import com.yizhi.statistics.application.request.practice.PracticeByOrgPageReq;
import com.yizhi.statistics.application.request.practice.PracticeReportByUserReq;
import com.yizhi.statistics.application.vo.practice.PracticeReportByUserListVo;
import com.yizhi.statistics.application.vo.practice.PracticeStatByOrgVo;
import com.yizhi.util.application.domain.BizResponse;
import com.yizhi.util.application.page.PageInfo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Date 2020/11/18 3:17 下午
 * @Author lvjianhui
 **/
@Api(tags = "智能演练-按部门统计")
@RequestMapping(path = "/manage/statistic/practice/report/org")
@RestController
public class PracticeGroupByOrgController {

    @Autowired
    private StatisticsPracticeByOrgClient statisticsPracticeByOrgClient;

    @PostMapping("/page")
    @ApiOperation("按部门统计查询")
    public BizResponse<PageInfo<PracticeStatByOrgVo>> getPageByOrg(@RequestBody PracticeByOrgPageReq po) {
        po.setRequestContext(ContextHolder.get());
        PageInfo<PracticeStatByOrgVo> page = statisticsPracticeByOrgClient.groupByOrgPage(po);
        return BizResponse.ok(page);
    }

    @PostMapping("/detail/page")
    @ApiOperation("按部门统计查询")
    public BizResponse<PageInfo<PracticeReportByUserListVo>> getPageByOrgDetail(@RequestBody PracticeReportByUserReq po) {
        po.setContext(ContextHolder.get());
        Page<PracticeReportByUserListVo> page = statisticsPracticeByOrgClient.getDetailByOrgIdPage(po);
        PageInfo<PracticeReportByUserListVo> vo = new PageInfo();
        vo.setRecords(page.getRecords());
        vo.setPageTotal(page.getTotal());
        vo.setPageNo(page.getOffset());
        vo.setPageSize(page.getSize());
        vo.setPageRecords(page.getTotal());
        return BizResponse.ok(vo);
    }

    @PostMapping("/page/export")
    @ApiOperation("按部门统计导出")
    public BizResponse<String> exportByOrg(@RequestBody PracticeByOrgPageReq po) {
        po.setRequestContext(ContextHolder.get());
        String taskCode = statisticsPracticeByOrgClient.groupByOrgExport(po);
        return BizResponse.ok(taskCode);
    }

    @PostMapping("/detail/export")
    @ApiOperation("按部门+用户统计导出")
    public BizResponse<String> exportByOrgDedaill(@RequestBody PracticeReportByUserReq po) {
        po.setContext(ContextHolder.get());
        String taskCode = statisticsPracticeByOrgClient.getDetailByOrgIdPageExport(po);
        return BizResponse.ok(taskCode);
    }

    @PostMapping("/user/detail/export")
    @ApiOperation("按部门+用户-明细统计导出")
    public BizResponse<String> exportByOrgUserDetail(@RequestBody PracticeReportByUserReq po) {
        po.setContext(ContextHolder.get());
        String taskCode = statisticsPracticeByOrgClient.getUserDetailByOrgIdPageExport(po);
        return BizResponse.ok(taskCode);
    }

}
