package com.yizhi.practice.application.controller.student;

import com.yizhi.core.application.enums.InternationalEnums;
import com.yizhi.practice.application.pojo.domain.PracticeConfig;
import com.yizhi.practice.application.pojo.vo.PracticeVo;
import com.yizhi.practice.application.repository.PracticeConfigRepository;
import com.yizhi.util.application.domain.BizResponse;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

@Api(tags = "智能演练-学员端-陪练")
@RequestMapping(path = "/student/practice")
@RestController
public class PracticeConfigStudentController {

	@Autowired
	private PracticeConfigRepository configRepository;
	
	@ApiOperation(value = "获取陪练")
	@GetMapping("/get")
	public BizResponse<PracticeVo> getPractice(@ApiParam(value="陪练的ID") @RequestParam("practiceId") Long practiceId){

		if (null == practiceId){
			return BizResponse.fail(InternationalEnums.DROOLSMANAGERCONTROLLER1.getCode());
		}
		PracticeVo practiceVo = new PracticeVo();
		PracticeConfig practiceConfig = configRepository.findById(practiceId).get();
		if (null != practiceConfig){
			BeanUtils.copyProperties(practiceConfig,practiceVo);
		}
		return BizResponse.ok(practiceVo);
	}
}
