package com.yizhi.practice.application.controller.student;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import com.yizhi.practice.application.pojo.vo.PracticeChatLogBaseInfoVo;
import com.yizhi.practice.application.pojo.vo.PracticeChatLogListParamVo;
import com.yizhi.practice.application.pojo.vo.PracticeChatRoundLogDetailVo;
import com.yizhi.practice.application.pojo.vo.StudentPracticeLogVo;
import com.yizhi.practice.application.xservice.PracticeChatLogXService;
import com.yizhi.practice.application.xservice.PracticeChatRoundLogXService;
import com.yizhi.util.application.domain.BizResponse;
import com.yizhi.util.application.page.PageInfo;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;

@Api(tags = "智能演练-学员端-陪练记录")
@RequestMapping(path = "/student/practice/log")
@RestController
public class PracticeLogStudentController {

	@Autowired
	private PracticeChatLogXService xservice;
	
	@Autowired
	private PracticeChatRoundLogXService roundXservice;
	
	@ApiOperation(value = "学员端-陪练记录-列表")
	@PostMapping("/list")
	public BizResponse<PageInfo<StudentPracticeLogVo>> list(@RequestBody PracticeChatLogListParamVo param){
		return BizResponse.ok(xservice.studentList(param));
	}
	
	@ApiOperation(value = "答案解析")
	@GetMapping("/analysis/get")
	public BizResponse<PracticeChatRoundLogDetailVo> analysis(@ApiParam(value="某句对话的ID") @RequestParam("roundId")Long roundId){
		return BizResponse.ok(roundXservice.analysis(roundId));
	}
	
	@ApiOperation(value = "陪练分析")
	@GetMapping("/get")
	public BizResponse<PracticeChatLogBaseInfoVo> baseInfo(@ApiParam(value="陪练记录的ID") @RequestParam("practiceLogId") Long practiceLogId){
		return BizResponse.ok(roundXservice.getLogByPracticeChatId(practiceLogId));
	}
}
