package com.yizhi.practice.application.pojo.domain;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Entity;
import javax.persistence.Id;
import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 场景中每轮对话记录
 * </p>
 *
 * @author MybatisCodeGenerator123
 * @since 2020-11-09
 */
@DynamicUpdate
@DynamicInsert
@Api(tags = "PracticeChatRoundLog", description = "场景中每轮对话记录")
@TableName("practice_chat_round_log")
@Entity
public class PracticeChatRoundLog implements Serializable {

    private static final long serialVersionUID = 1L;

	@Id
	private Long id;

	@ApiModelProperty(value = "陪练ID")
	@TableField("practice_id")
	private Long practiceId;

	@ApiModelProperty(value = "场景ID")
	@TableField("scene_id")
	private Long sceneId;

	@ApiModelProperty(value = "场景标准话术ID")
	@TableField("scene_chat_id")
	private Long sceneChatId;

	@ApiModelProperty(value = "陪练记录ID")
	@TableField("practice_chat_id")
	private Long practiceChatId;

	@ApiModelProperty(value = "学员ID")
	@TableField("account_id")
	private Long accountId;

	@ApiModelProperty(value = "学员名")
	@TableField("account_name")
	private String accountName;

	@ApiModelProperty(value = "学员姓名")
	@TableField("account_full_name")
	private String accountFullName;

	@ApiModelProperty(value = "部门名")
	@TableField("org_name")
	private String orgName;

	@ApiModelProperty(value = "机器人话术")
	@TableField("robot_content")
	private String robotContent;

	@ApiModelProperty(value = "机器人话术语音URL")
	@TableField("robot_content_voice_url")
	private String robotContentVoiceUrl;

	@ApiModelProperty(value = "机器人话术时长")
	@TableField("robot_content_voice_duration")
	private Long robotContentVoiceDuration;

	@ApiModelProperty(value = "学员话术")
	@TableField("account_content")
	private String accountContent;

	@ApiModelProperty(value = "学员命中关键词数组")
	@TableField("account_hit_keyword")
	private String accountHitKeyword;

	@ApiModelProperty(value = "学员命中命中禁忌词")
	@TableField("account_hit_taboo_word")
	private String accountHitTabooWord;

	@ApiModelProperty(value = "学员话术URL")
	@TableField("account_content_voice_url")
	private String accountContentVoiceUrl;

	@ApiModelProperty(value = "学员话术时长")
	@TableField("account_content_voice_duration")
	private Long accountContentVoiceDuration;

	@ApiModelProperty(value = "本轮对话层级 ")
	@TableField("round_level")
	private Integer roundLevel;

	@ApiModelProperty(value = "本轮对话过关方式 80:正常通过。10:跳过")
	@TableField("round_skip_type")
	private Integer roundSkipType;

	@ApiModelProperty(value = "考核本轮过关最低相似度")
	@TableField("pass_similarity_rate")
	private Integer passSimilarityRate;

	@ApiModelProperty(value = "相似度得分 第三方返回的相似度")
	@TableField("similarity_score")
	private Integer similarityScore;

	@ApiModelProperty(value = "陪练过关最低分")
	@TableField("pass_min_score")
	private Integer passMinScore;

	@ApiModelProperty(value = "本轮平均得分")
	@TableField("average_score")
	private Integer averageScore;

	@ApiModelProperty(value = "关键词得分")
	@TableField("keyword_score")
	private Integer keywordScore;

	@ApiModelProperty(value = "完整性得分")
	@TableField("complete_score")
	private Integer completeScore;

	@ApiModelProperty(value = "流畅度得分")
	@TableField("smooth_score")
	private Integer smoothScore;

	@ApiModelProperty(value = "表达能力得分")
	@TableField("express_score")
	private Integer expressScore;

	@ApiModelProperty(value = "礼貌性得分")
	@TableField("polite_score")
	private Integer politeScore;

	@ApiModelProperty(value = "0:not del 1:del")
	private Boolean deleted;

	@ApiModelProperty(value = "部门ID")
	@TableField("org_id")
	private Long orgId;

	@ApiModelProperty(value = "站点ID")
	@TableField("site_Id")
	private Long siteId;

	@ApiModelProperty(value = "公司ID")
	@TableField("company_id")
	private Long companyId;

	@TableField("created_at")
	private Date createdAt;

	public String getAccountHitTabooWord() {
		return accountHitTabooWord;
	}

	public void setAccountHitTabooWord(String accountHitTabooWord) {
		this.accountHitTabooWord = accountHitTabooWord;
	}

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Long getPracticeId() {
		return practiceId;
	}

	public void setPracticeId(Long practiceId) {
		this.practiceId = practiceId;
	}

	public Long getSceneId() {
		return sceneId;
	}

	public void setSceneId(Long sceneId) {
		this.sceneId = sceneId;
	}

	public Long getSceneChatId() {
		return sceneChatId;
	}

	public void setSceneChatId(Long sceneChatId) {
		this.sceneChatId = sceneChatId;
	}

	public Long getPracticeChatId() {
		return practiceChatId;
	}

	public void setPracticeChatId(Long practiceChatId) {
		this.practiceChatId = practiceChatId;
	}

	public Long getAccountId() {
		return accountId;
	}

	public void setAccountId(Long accountId) {
		this.accountId = accountId;
	}

	public String getAccountName() {
		return accountName;
	}

	public void setAccountName(String accountName) {
		this.accountName = accountName;
	}

	public String getAccountFullName() {
		return accountFullName;
	}

	public void setAccountFullName(String accountFullName) {
		this.accountFullName = accountFullName;
	}

	public String getOrgName() {
		return orgName;
	}

	public void setOrgName(String orgName) {
		this.orgName = orgName;
	}

	public String getRobotContent() {
		return robotContent;
	}

	public void setRobotContent(String robotContent) {
		this.robotContent = robotContent;
	}

	public String getRobotContentVoiceUrl() {
		return robotContentVoiceUrl;
	}

	public void setRobotContentVoiceUrl(String robotContentVoiceUrl) {
		this.robotContentVoiceUrl = robotContentVoiceUrl;
	}

	public Long getRobotContentVoiceDuration() {
		return robotContentVoiceDuration;
	}

	public void setRobotContentVoiceDuration(Long robotContentVoiceDuration) {
		this.robotContentVoiceDuration = robotContentVoiceDuration;
	}

	public String getAccountContent() {
		return accountContent;
	}

	public void setAccountContent(String accountContent) {
		this.accountContent = accountContent;
	}

	public String getAccountHitKeyword() {
		return accountHitKeyword;
	}

	public void setAccountHitKeyword(String accountHitKeyword) {
		this.accountHitKeyword = accountHitKeyword;
	}

	public String getAccountContentVoiceUrl() {
		return accountContentVoiceUrl;
	}

	public void setAccountContentVoiceUrl(String accountContentVoiceUrl) {
		this.accountContentVoiceUrl = accountContentVoiceUrl;
	}

	public Long getAccountContentVoiceDuration() {
		return accountContentVoiceDuration;
	}

	public void setAccountContentVoiceDuration(Long accountContentVoiceDuration) {
		this.accountContentVoiceDuration = accountContentVoiceDuration;
	}

	public Integer getRoundLevel() {
		return roundLevel;
	}

	public void setRoundLevel(Integer roundLevel) {
		this.roundLevel = roundLevel;
	}

	public Integer getRoundSkipType() {
		return roundSkipType;
	}

	public void setRoundSkipType(Integer roundSkipType) {
		this.roundSkipType = roundSkipType;
	}

	public Integer getPassSimilarityRate() {
		return passSimilarityRate;
	}

	public void setPassSimilarityRate(Integer passSimilarityRate) {
		this.passSimilarityRate = passSimilarityRate;
	}

	public Integer getSimilarityScore() {
		return similarityScore;
	}

	public void setSimilarityScore(Integer similarityScore) {
		this.similarityScore = similarityScore;
	}

	public Integer getPassMinScore() {
		return passMinScore;
	}

	public void setPassMinScore(Integer passMinScore) {
		this.passMinScore = passMinScore;
	}

	public Integer getAverageScore() {
		return averageScore;
	}

	public void setAverageScore(Integer averageScore) {
		this.averageScore = averageScore;
	}

	public Integer getKeywordScore() {
		return keywordScore;
	}

	public void setKeywordScore(Integer keywordScore) {
		this.keywordScore = keywordScore;
	}

	public Integer getCompleteScore() {
		return completeScore;
	}

	public void setCompleteScore(Integer completeScore) {
		this.completeScore = completeScore;
	}

	public Integer getSmoothScore() {
		return smoothScore;
	}

	public void setSmoothScore(Integer smoothScore) {
		this.smoothScore = smoothScore;
	}

	public Integer getExpressScore() {
		return expressScore;
	}

	public void setExpressScore(Integer expressScore) {
		this.expressScore = expressScore;
	}

	public Integer getPoliteScore() {
		return politeScore;
	}

	public void setPoliteScore(Integer politeScore) {
		this.politeScore = politeScore;
	}

	public Boolean getDeleted() {
		return deleted;
	}

	public void setDeleted(Boolean deleted) {
		this.deleted = deleted;
	}

	public Long getOrgId() {
		return orgId;
	}

	public void setOrgId(Long orgId) {
		this.orgId = orgId;
	}

	public Long getSiteId() {
		return siteId;
	}

	public void setSiteId(Long siteId) {
		this.siteId = siteId;
	}

	public Long getCompanyId() {
		return companyId;
	}

	public void setCompanyId(Long companyId) {
		this.companyId = companyId;
	}

	public Date getCreatedAt() {
		return createdAt;
	}

	public void setCreatedAt(Date createdAt) {
		this.createdAt = createdAt;
	}

	@Override
	public String toString() {
		return "PracticeChatRoundLog{" +
			", id=" + id +
			", practiceId=" + practiceId +
			", sceneId=" + sceneId +
			", sceneChatId=" + sceneChatId +
			", practiceChatId=" + practiceChatId +
			", accountId=" + accountId +
			", accountName=" + accountName +
			", accountFullName=" + accountFullName +
			", orgName=" + orgName +
			", robotContent=" + robotContent +
			", robotContentVoiceUrl=" + robotContentVoiceUrl +
			", robotContentVoiceDuration=" + robotContentVoiceDuration +
			", accountContent=" + accountContent +
			", accountHitKeyword=" + accountHitKeyword +
			", accountContentVoiceUrl=" + accountContentVoiceUrl +
			", accountContentVoiceDuration=" + accountContentVoiceDuration +
			", roundLevel=" + roundLevel +
			", roundSkipType=" + roundSkipType +
			", passSimilarityRate=" + passSimilarityRate +
			", similarityScore=" + similarityScore +
			", passMinScore=" + passMinScore +
			", averageScore=" + averageScore +
			", keywordScore=" + keywordScore +
			", completeScore=" + completeScore +
			", smoothScore=" + smoothScore +
			", expressScore=" + expressScore +
			", politeScore=" + politeScore +
			", deleted=" + deleted +
			", orgId=" + orgId +
			", siteId=" + siteId +
			", companyId=" + companyId +
			", createdAt=" + createdAt +
			"}";
	}
}
