package com.yizhi.practice.application.pojo.domain;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Entity;
import javax.persistence.Id;
import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 陪练配置
 * </p>
 *
 * @author MybatisCodeGenerator123
 * @since 2020-10-30
 */
@DynamicUpdate
@DynamicInsert
@Api(tags = "PracticeConfig", description = "陪练配置")
@TableName("practice_config")
@Entity
public class PracticeConfig implements Serializable {

    private static final long serialVersionUID = 1L;

	@Id
	private Long id;

	@ApiModelProperty(value = "陪练名")
	private String name;

	@ApiModelProperty(value = "陪练logoURL")
	@TableField("logo_url")
	private String logoUrl;

	@ApiModelProperty(value = "陪练描述")
	private String description;

	@ApiModelProperty(value = "80:训练+考核 ,10:训练 20:考核")
	@TableField("use_type")
	private Integer useType;

	@ApiModelProperty(value = "训练开始时间")
	@TableField("practice_start_at")
	private Date practiceStartAt;

	@ApiModelProperty(value = "训练结束时间")
	@TableField("practice_end_at")
	private Date practiceEndAt;

	@ApiModelProperty(value = "考核开始时间")
	@TableField("exam_start_at")
	private Date examStartAt;

	@ApiModelProperty(value = "考核结束时间")
	@TableField("exam_end_at")
	private Date examEndAt;

	@ApiModelProperty(value = "允许最大考试；0：无限次；其他有限次；默认0")
	@TableField("max_exam_count")
	private Integer maxExamCount;

	@ApiModelProperty(value = "自定义关键词，逗号分隔，命中得分")
	@TableField("key_word")
	private String keyWord;

	@ApiModelProperty(value = "机器人配置ID")
	@TableField("robot_id")
	private Long robotId;

	@ApiModelProperty(value = "机器人参数")
	@TableField("robot_params")
	private String robotParams;

	@ApiModelProperty(value = "机器人名字")
	@TableField("robot_name")
	private String robotName;

	@ApiModelProperty(value = "机器人头像URL null时走默认头像")
	@TableField("robot_pic_url")
	private String robotPicUrl;

	@ApiModelProperty(value = "陪练状态 80:上架 30:下架 10:草稿")
	private Integer status;

	@ApiModelProperty(value = "练习可见范围  80:平台可见 40:指定用户可见")
	@TableField("visible_type")
	private Integer visibleType;

	@ApiModelProperty(value = "跳过对话类型 80允许，10:不允许")
	@TableField("skip_type")
	private Integer skipType;

	@ApiModelProperty(value = "80:本轮得分超过限制，则进入下轮；10:无论得分多少，直接进入下一轮")
	@TableField("start_next_round_type")
	private Integer startNextRoundType;

	@ApiModelProperty(value = "超过该分数，进入下一轮对话")
	@TableField("start_next_round_score")
	private Integer startNextRoundScore;

	@ApiModelProperty(value = "每轮最多失败次数，超过直接到下轮")
	@TableField("practice_failed_max_count")
	private Integer practiceFailedMaxCount;

	@ApiModelProperty(value = "80:允许重复提交 10:不允许重复提交")
	@TableField("repeat_push")
	private Integer repeatPush;

	@ApiModelProperty(value = "多轮对话：80:开启 10:关闭")
	@TableField("many_round_chat")
	private Integer manyRoundChat;

	@ApiModelProperty(value = "相似度")
	@TableField("similarity_rate")
	private Integer similarityRate;

	@ApiModelProperty(value = "考试失败最大次数，超过直接到下轮")
	@TableField("exam_failed_max_count")
	private Integer examFailedMaxCount;

	@ApiModelProperty(value = "未识别回复类型 80:默认回复，10:自定义回复")
	@TableField("similarity_failed_msg_type")
	private Integer similarityFailedMsgType;

	@ApiModelProperty(value = "自定义未识别回复，分号分隔。")
	@TableField("similarity_failed_msg")
	private String similarityFailedMsg;

	@ApiModelProperty(value = "考试及格分")
	@TableField("exam_pass_min_score")
	private Integer examPassMinScore;

	@ApiModelProperty(value = "是否发放积分 80:发放 10:不发放")
	@TableField("exam_given_point_type")
	private Integer examGivenPointType;

	@ApiModelProperty(value = "完整性")
	@TableField("score_rule_complete")
	private Integer scoreRuleComplete;

	@ApiModelProperty(value = "完整性")
	@TableField("score_rule_keyword")
	private Integer scoreRuleKeyword;

	@ApiModelProperty(value = "流畅性")
	@TableField("score_rule_smooth")
	private Integer scoreRuleSmooth;

	@ApiModelProperty(value = "表达能力")
	@TableField("score_rule_express")
	private Integer scoreRuleExpress;

	@ApiModelProperty(value = "礼貌")
	@TableField("score_rule_polite")
	private Integer scoreRulePolite;

	@ApiModelProperty(value = "0:未删除 1:已删除")
	private Boolean deleted;

	@ApiModelProperty(value = "部门ID")
	@TableField("org_id")
	private Long orgId;

	@ApiModelProperty(value = "站点ID")
	@TableField("site_id")
	private Long siteId;

	@ApiModelProperty(value = "公司ID")
	@TableField("company_id")
	private Long companyId;

	@ApiModelProperty(value = "创建记录的管理员ID")
	@TableField("created_uid")
	private Long createdUid;

	@ApiModelProperty(value = "创建时间")
	@TableField("created_at")
	private Date createdAt;

	@ApiModelProperty(value = "最后一次更新记录的管理员ID")
	@TableField("updated_uid")
	private Long updatedUid;

	@ApiModelProperty(value = "更新时间")
	@TableField("updated_at")
	private Date updatedAt;


	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getLogoUrl() {
		return logoUrl;
	}

	public void setLogoUrl(String logoUrl) {
		this.logoUrl = logoUrl;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public Integer getUseType() {
		return useType;
	}

	public void setUseType(Integer useType) {
		this.useType = useType;
	}

	public Date getPracticeStartAt() {
		return practiceStartAt;
	}

	public void setPracticeStartAt(Date practiceStartAt) {
		this.practiceStartAt = practiceStartAt;
	}

	public Date getPracticeEndAt() {
		return practiceEndAt;
	}

	public void setPracticeEndAt(Date practiceEndAt) {
		this.practiceEndAt = practiceEndAt;
	}

	public Date getExamStartAt() {
		return examStartAt;
	}

	public void setExamStartAt(Date examStartAt) {
		this.examStartAt = examStartAt;
	}

	public Date getExamEndAt() {
		return examEndAt;
	}

	public void setExamEndAt(Date examEndAt) {
		this.examEndAt = examEndAt;
	}

	public Integer getMaxExamCount() {
		return maxExamCount;
	}

	public void setMaxExamCount(Integer maxExamCount) {
		this.maxExamCount = maxExamCount;
	}

	public String getKeyWord() {
		return keyWord;
	}

	public void setKeyWord(String keyWord) {
		this.keyWord = keyWord;
	}

	public Long getRobotId() {
		return robotId;
	}

	public void setRobotId(Long robotId) {
		this.robotId = robotId;
	}

	public String getRobotParams() {
		return robotParams;
	}

	public void setRobotParams(String robotParams) {
		this.robotParams = robotParams;
	}

	public String getRobotName() {
		return robotName;
	}

	public void setRobotName(String robotName) {
		this.robotName = robotName;
	}

	public String getRobotPicUrl() {
		return robotPicUrl;
	}

	public void setRobotPicUrl(String robotPicUrl) {
		this.robotPicUrl = robotPicUrl;
	}

	public Integer getStatus() {
		return status;
	}

	public void setStatus(Integer status) {
		this.status = status;
	}

	public Integer getVisibleType() {
		return visibleType;
	}

	public void setVisibleType(Integer visibleType) {
		this.visibleType = visibleType;
	}

	public Integer getSkipType() {
		return skipType;
	}

	public void setSkipType(Integer skipType) {
		this.skipType = skipType;
	}

	public Integer getStartNextRoundType() {
		return startNextRoundType;
	}

	public void setStartNextRoundType(Integer startNextRoundType) {
		this.startNextRoundType = startNextRoundType;
	}

	public Integer getStartNextRoundScore() {
		return startNextRoundScore;
	}

	public void setStartNextRoundScore(Integer startNextRoundScore) {
		this.startNextRoundScore = startNextRoundScore;
	}

	public Integer getPracticeFailedMaxCount() {
		return practiceFailedMaxCount;
	}

	public void setPracticeFailedMaxCount(Integer practiceFailedMaxCount) {
		this.practiceFailedMaxCount = practiceFailedMaxCount;
	}

	public Integer getRepeatPush() {
		return repeatPush;
	}

	public void setRepeatPush(Integer repeatPush) {
		this.repeatPush = repeatPush;
	}

	public Integer getManyRoundChat() {
		return manyRoundChat;
	}

	public void setManyRoundChat(Integer manyRoundChat) {
		this.manyRoundChat = manyRoundChat;
	}

	public Integer getSimilarityRate() {
		return similarityRate;
	}

	public void setSimilarityRate(Integer similarityRate) {
		this.similarityRate = similarityRate;
	}

	public Integer getExamFailedMaxCount() {
		return examFailedMaxCount;
	}

	public void setExamFailedMaxCount(Integer examFailedMaxCount) {
		this.examFailedMaxCount = examFailedMaxCount;
	}

	public Integer getSimilarityFailedMsgType() {
		return similarityFailedMsgType;
	}

	public void setSimilarityFailedMsgType(Integer similarityFailedMsgType) {
		this.similarityFailedMsgType = similarityFailedMsgType;
	}

	public String getSimilarityFailedMsg() {
		return similarityFailedMsg;
	}

	public void setSimilarityFailedMsg(String similarityFailedMsg) {
		this.similarityFailedMsg = similarityFailedMsg;
	}

	public Integer getExamPassMinScore() {
		return examPassMinScore;
	}

	public void setExamPassMinScore(Integer examPassMinScore) {
		this.examPassMinScore = examPassMinScore;
	}

	public Integer getExamGivenPointType() {
		return examGivenPointType;
	}

	public void setExamGivenPointType(Integer examGivenPointType) {
		this.examGivenPointType = examGivenPointType;
	}

	public Integer getScoreRuleComplete() {
		return scoreRuleComplete;
	}

	public void setScoreRuleComplete(Integer scoreRuleComplete) {
		this.scoreRuleComplete = scoreRuleComplete;
	}

	public Integer getScoreRuleKeyword() {
		return scoreRuleKeyword;
	}

	public void setScoreRuleKeyword(Integer scoreRuleKeyword) {
		this.scoreRuleKeyword = scoreRuleKeyword;
	}

	public Integer getScoreRuleSmooth() {
		return scoreRuleSmooth;
	}

	public void setScoreRuleSmooth(Integer scoreRuleSmooth) {
		this.scoreRuleSmooth = scoreRuleSmooth;
	}

	public Integer getScoreRuleExpress() {
		return scoreRuleExpress;
	}

	public void setScoreRuleExpress(Integer scoreRuleExpress) {
		this.scoreRuleExpress = scoreRuleExpress;
	}

	public Integer getScoreRulePolite() {
		return scoreRulePolite;
	}

	public void setScoreRulePolite(Integer scoreRulePolite) {
		this.scoreRulePolite = scoreRulePolite;
	}

	public Boolean getDeleted() {
		return deleted;
	}

	public void setDeleted(Boolean deleted) {
		this.deleted = deleted;
	}

	public Long getOrgId() {
		return orgId;
	}

	public void setOrgId(Long orgId) {
		this.orgId = orgId;
	}

	public Long getSiteId() {
		return siteId;
	}

	public void setSiteId(Long siteId) {
		this.siteId = siteId;
	}

	public Long getCompanyId() {
		return companyId;
	}

	public void setCompanyId(Long companyId) {
		this.companyId = companyId;
	}

	public Long getCreatedUid() {
		return createdUid;
	}

	public void setCreatedUid(Long createdUid) {
		this.createdUid = createdUid;
	}

	public Date getCreatedAt() {
		return createdAt;
	}

	public void setCreatedAt(Date createdAt) {
		this.createdAt = createdAt;
	}

	public Long getUpdatedUid() {
		return updatedUid;
	}

	public void setUpdatedUid(Long updatedUid) {
		this.updatedUid = updatedUid;
	}

	public Date getUpdatedAt() {
		return updatedAt;
	}

	public void setUpdatedAt(Date updatedAt) {
		this.updatedAt = updatedAt;
	}

	@Override
	public String toString() {
		return "PracticeConfig{" +
			", id=" + id +
			", name=" + name +
			", logoUrl=" + logoUrl +
			", description=" + description +
			", useType=" + useType +
			", practiceStartAt=" + practiceStartAt +
			", practiceEndAt=" + practiceEndAt +
			", examStartAt=" + examStartAt +
			", examEndAt=" + examEndAt +
			", maxExamCount=" + maxExamCount +
			", keyWord=" + keyWord +
			", robotId=" + robotId +
			", robotParams=" + robotParams +
			", robotName=" + robotName +
			", robotPicUrl=" + robotPicUrl +
			", status=" + status +
			", visibleType=" + visibleType +
			", skipType=" + skipType +
			", startNextRoundType=" + startNextRoundType +
			", startNextRoundScore=" + startNextRoundScore +
			", practiceFailedMaxCount=" + practiceFailedMaxCount +
			", repeatPush=" + repeatPush +
			", manyRoundChat=" + manyRoundChat +
			", similarityRate=" + similarityRate +
			", examFailedMaxCount=" + examFailedMaxCount +
			", similarityFailedMsgType=" + similarityFailedMsgType +
			", similarityFailedMsg=" + similarityFailedMsg +
			", examPassMinScore=" + examPassMinScore +
			", examGivenPointType=" + examGivenPointType +
			", scoreRuleComplete=" + scoreRuleComplete +
			", scoreRuleKeyword=" + scoreRuleKeyword +
			", scoreRuleSmooth=" + scoreRuleSmooth +
			", scoreRuleExpress=" + scoreRuleExpress +
			", scoreRulePolite=" + scoreRulePolite +
			", deleted=" + deleted +
			", orgId=" + orgId +
			", siteId=" + siteId +
			", companyId=" + companyId +
			", createdUid=" + createdUid +
			", createdAt=" + createdAt +
			", updatedUid=" + updatedUid +
			", updatedAt=" + updatedAt +
			"}";
	}
}
