package com.yizhi.practice.application.pojo.domain;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Entity;
import javax.persistence.Id;
import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 陪练积分发放记录
 * </p>
 *
 * @author MybatisCodeGenerator123
 * @since 2020-10-29
 */
@DynamicUpdate
@DynamicInsert
@Api(tags = "PracticePointGivenLog", description = "陪练积分发放记录")
@TableName("practice_point_given_log")
@Entity
public class PracticePointGivenLog implements Serializable {

    private static final long serialVersionUID = 1L;

	@Id
	private Long id;

	@ApiModelProperty(value = "用户ID")
	@TableField("account_id")
	private Long accountId;

	@ApiModelProperty(value = "陪练Id")
	@TableField("practice_id")
	private Long practiceId;

	@ApiModelProperty(value = "陪练得分")
	@TableField("practice_score")
	private Integer practiceScore;

	@ApiModelProperty(value = "陪练考核通过时间")
	@TableField("practice_pass_time")
	private Date practicePassTime;

	@ApiModelProperty(value = "陪练积分规则id")
	@TableField("point_rule_id")
	private Long pointRuleId;

	@ApiModelProperty(value = "赠送积分数量")
	private Integer point;

	@ApiModelProperty(value = "0:not del 1:del")
	private Boolean deleted;

	@TableField("org_id")
	private Long orgId;

	@TableField("site_id")
	private Long siteId;

	@TableField("company_id")
	private Long companyId;

	@ApiModelProperty(value = "创建时间")
	@TableField("created_at")
	private Date createdAt;


	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Long getAccountId() {
		return accountId;
	}

	public void setAccountId(Long accountId) {
		this.accountId = accountId;
	}

	public Long getPracticeId() {
		return practiceId;
	}

	public void setPracticeId(Long practiceId) {
		this.practiceId = practiceId;
	}

	public Integer getPracticeScore() {
		return practiceScore;
	}

	public void setPracticeScore(Integer practiceScore) {
		this.practiceScore = practiceScore;
	}

	public Date getPracticePassTime() {
		return practicePassTime;
	}

	public void setPracticePassTime(Date practicePassTime) {
		this.practicePassTime = practicePassTime;
	}

	public Long getPointRuleId() {
		return pointRuleId;
	}

	public void setPointRuleId(Long pointRuleId) {
		this.pointRuleId = pointRuleId;
	}

	public Integer getPoint() {
		return point;
	}

	public void setPoint(Integer point) {
		this.point = point;
	}

	public Boolean getDeleted() {
		return deleted;
	}

	public void setDeleted(Boolean deleted) {
		this.deleted = deleted;
	}

	public Long getOrgId() {
		return orgId;
	}

	public void setOrgId(Long orgId) {
		this.orgId = orgId;
	}

	public Long getSiteId() {
		return siteId;
	}

	public void setSiteId(Long siteId) {
		this.siteId = siteId;
	}

	public Long getCompanyId() {
		return companyId;
	}

	public void setCompanyId(Long companyId) {
		this.companyId = companyId;
	}

	public Date getCreatedAt() {
		return createdAt;
	}

	public void setCreatedAt(Date createdAt) {
		this.createdAt = createdAt;
	}

	@Override
	public String toString() {
		return "PracticePointGivenLog{" +
			", id=" + id +
			", accountId=" + accountId +
			", practiceId=" + practiceId +
			", practiceScore=" + practiceScore +
			", practicePassTime=" + practicePassTime +
			", pointRuleId=" + pointRuleId +
			", point=" + point +
			", deleted=" + deleted +
			", orgId=" + orgId +
			", siteId=" + siteId +
			", companyId=" + companyId +
			", createdAt=" + createdAt +
			"}";
	}
}
