package com.yizhi.practice.application.pojo.domain;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Entity;
import javax.persistence.Id;
import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 陪练积分发放规则
 * </p>
 *
 * @author MybatisCodeGenerator123
 * @since 2020-10-29
 */
@DynamicUpdate
@DynamicInsert
@Api(tags = "PracticePointRuleConfig", description = "陪练积分发放规则")
@TableName("practice_point_rule_config")
@Entity
public class PracticePointRuleConfig implements Serializable {

    private static final long serialVersionUID = 1L;

	@Id
	private Long id;

	@ApiModelProperty(value = "练习Id")
	@TableField("practice_id")
	private Long practiceId;

	@ApiModelProperty(value = "获得积分允许最小得分")
	@TableField("min_score")
	private Integer minScore;

	@ApiModelProperty(value = "获得积分允许最大得分")
	@TableField("max_score")
	private Integer maxScore;

	@ApiModelProperty(value = "发放积分数量")
	private Integer point;

	@ApiModelProperty(value = "0:not del 1:del")
	private Boolean deleted;

	@TableField("org_id")
	private Long orgId;

	@TableField("site_id")
	private Long siteId;

	@TableField("company_id")
	private Long companyId;

	@TableField("created_at")
	private Date createdAt;

	@TableField("updated_at")
	private Date updatedAt;

	@ApiModelProperty(value = "创建管理员ID")
	@TableField("created_uid")
	private Long createdUid;

	@ApiModelProperty(value = "最后一次修改人员ID")
	@TableField("updated_uid")
	private Long updatedUid;


	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Long getPracticeId() {
		return practiceId;
	}

	public void setPracticeId(Long practiceId) {
		this.practiceId = practiceId;
	}

	public Integer getMinScore() {
		return minScore;
	}

	public void setMinScore(Integer minScore) {
		this.minScore = minScore;
	}

	public Integer getMaxScore() {
		return maxScore;
	}

	public void setMaxScore(Integer maxScore) {
		this.maxScore = maxScore;
	}

	public Integer getPoint() {
		return point;
	}

	public void setPoint(Integer point) {
		this.point = point;
	}

	public Boolean getDeleted() {
		return deleted;
	}

	public void setDeleted(Boolean deleted) {
		this.deleted = deleted;
	}

	public Long getOrgId() {
		return orgId;
	}

	public void setOrgId(Long orgId) {
		this.orgId = orgId;
	}

	public Long getSiteId() {
		return siteId;
	}

	public void setSiteId(Long siteId) {
		this.siteId = siteId;
	}

	public Long getCompanyId() {
		return companyId;
	}

	public void setCompanyId(Long companyId) {
		this.companyId = companyId;
	}

	public Date getCreatedAt() {
		return createdAt;
	}

	public void setCreatedAt(Date createdAt) {
		this.createdAt = createdAt;
	}

	public Date getUpdatedAt() {
		return updatedAt;
	}

	public void setUpdatedAt(Date updatedAt) {
		this.updatedAt = updatedAt;
	}

	public Long getCreatedUid() {
		return createdUid;
	}

	public void setCreatedUid(Long createdUid) {
		this.createdUid = createdUid;
	}

	public Long getUpdatedUid() {
		return updatedUid;
	}

	public void setUpdatedUid(Long updatedUid) {
		this.updatedUid = updatedUid;
	}

	@Override
	public String toString() {
		return "PracticePointRuleConfig{" +
			", id=" + id +
			", practiceId=" + practiceId +
			", minScore=" + minScore +
			", maxScore=" + maxScore +
			", point=" + point +
			", deleted=" + deleted +
			", orgId=" + orgId +
			", siteId=" + siteId +
			", companyId=" + companyId +
			", createdAt=" + createdAt +
			", updatedAt=" + updatedAt +
			", createdUid=" + createdUid +
			", updatedUid=" + updatedUid +
			"}";
	}
}
