package com.yizhi.practice.application.pojo.domain;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.IdType;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Entity;
import javax.persistence.Id;
import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author MybatisCodeGenerator123
 * @since 2020-10-29
 */
@DynamicUpdate
@DynamicInsert
@Api(tags = "PracticeVisible", description = "")
@TableName("practice_visible")
@Entity
public class PracticeVisible implements Serializable {

    private static final long serialVersionUID = 1L;

	@Id
	@TableId(value="id", type= IdType.AUTO)
	private Long id;

	@ApiModelProperty(value = "陪练ID")
	@TableField("practice_id")
	private Long practiceId;

	@ApiModelProperty(value = "可见站点Id")
	@TableField("visible_site_id")
	private Long visibleSiteId;

	@ApiModelProperty(value = "可见部门Id")
	@TableField("visible_org_id")
	private Long visibleOrgId;

	@ApiModelProperty(value = "可见部门名")
	@TableField("visible_org_name")
	private String visibleOrgName;

	@ApiModelProperty(value = "可见用户Id")
	@TableField("visible_account_id")
	private Long visibleAccountId;

	@ApiModelProperty(value = "可见用户工号")
	@TableField("visible_account_work_num")
	private String visibleAccountWorkNum;

	@ApiModelProperty(value = "用户名")
	@TableField("visible_account_name")
	private String visibleAccountName;

	@ApiModelProperty(value = "用户全名")
	@TableField("visible_account_full_name")
	private String visibleAccountFullName;

	@ApiModelProperty(value = "陪练可见范围  80:平台可见 50:部门可见 40:指定用户可见")
	@TableField("visible_type")
	private Integer visibleType;

	@ApiModelProperty(value = "公司Id")
	@TableField("company_id")
	private Long companyId;

	@ApiModelProperty(value = "0:not deleted, 1:deleted")
	private Boolean deleted;

	@TableField("created_at")
	private Date createdAt;

	@ApiModelProperty(value = "创建管理员ID")
	@TableField("created_uid")
	private Long createdUid;

	@TableField("updated_at")
	private Date updatedAt;

	@ApiModelProperty(value = "更新管理员ID")
	@TableField("updated_uid")
	private Long updatedUid;


	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Long getPracticeId() {
		return practiceId;
	}

	public void setPracticeId(Long practiceId) {
		this.practiceId = practiceId;
	}

	public Long getVisibleSiteId() {
		return visibleSiteId;
	}

	public void setVisibleSiteId(Long visibleSiteId) {
		this.visibleSiteId = visibleSiteId;
	}

	public Long getVisibleOrgId() {
		return visibleOrgId;
	}

	public void setVisibleOrgId(Long visibleOrgId) {
		this.visibleOrgId = visibleOrgId;
	}

	public String getVisibleOrgName() {
		return visibleOrgName;
	}

	public void setVisibleOrgName(String visibleOrgName) {
		this.visibleOrgName = visibleOrgName;
	}

	public Long getVisibleAccountId() {
		return visibleAccountId;
	}

	public void setVisibleAccountId(Long visibleAccountId) {
		this.visibleAccountId = visibleAccountId;
	}

	public String getVisibleAccountWorkNum() {
		return visibleAccountWorkNum;
	}

	public void setVisibleAccountWorkNum(String visibleAccountWorkNum) {
		this.visibleAccountWorkNum = visibleAccountWorkNum;
	}

	public String getVisibleAccountName() {
		return visibleAccountName;
	}

	public void setVisibleAccountName(String visibleAccountName) {
		this.visibleAccountName = visibleAccountName;
	}

	public String getVisibleAccountFullName() {
		return visibleAccountFullName;
	}

	public void setVisibleAccountFullName(String visibleAccountFullName) {
		this.visibleAccountFullName = visibleAccountFullName;
	}

	public Integer getVisibleType() {
		return visibleType;
	}

	public void setVisibleType(Integer visibleType) {
		this.visibleType = visibleType;
	}

	public Long getCompanyId() {
		return companyId;
	}

	public void setCompanyId(Long companyId) {
		this.companyId = companyId;
	}

	public Boolean getDeleted() {
		return deleted;
	}

	public void setDeleted(Boolean deleted) {
		this.deleted = deleted;
	}

	public Date getCreatedAt() {
		return createdAt;
	}

	public void setCreatedAt(Date createdAt) {
		this.createdAt = createdAt;
	}

	public Long getCreatedUid() {
		return createdUid;
	}

	public void setCreatedUid(Long createdUid) {
		this.createdUid = createdUid;
	}

	public Date getUpdatedAt() {
		return updatedAt;
	}

	public void setUpdatedAt(Date updatedAt) {
		this.updatedAt = updatedAt;
	}

	public Long getUpdatedUid() {
		return updatedUid;
	}

	public void setUpdatedUid(Long updatedUid) {
		this.updatedUid = updatedUid;
	}

	@Override
	public String toString() {
		return "PracticeVisible{" +
			", id=" + id +
			", practiceId=" + practiceId +
			", visibleSiteId=" + visibleSiteId +
			", visibleOrgId=" + visibleOrgId +
			", visibleOrgName=" + visibleOrgName +
			", visibleAccountId=" + visibleAccountId +
			", visibleAccountWorkNum=" + visibleAccountWorkNum +
			", visibleAccountName=" + visibleAccountName +
			", visibleAccountFullName=" + visibleAccountFullName +
			", visibleType=" + visibleType +
			", companyId=" + companyId +
			", deleted=" + deleted +
			", createdAt=" + createdAt +
			", createdUid=" + createdUid +
			", updatedAt=" + updatedAt +
			", updatedUid=" + updatedUid +
			"}";
	}
}
