package com.yizhi.practice.application.pojo.domain;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Entity;
import javax.persistence.Id;
import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 机器人配置
 * </p>
 *
 * @author MybatisCodeGenerator123
 * @since 2020-10-29
 */
@DynamicUpdate
@DynamicInsert
@Api(tags = "RobotConfig", description = "机器人配置")
@TableName("robot_config")
@Entity
public class RobotConfig implements Serializable {

    private static final long serialVersionUID = 1L;

	@Id
	private Long id;

	@ApiModelProperty(value = "机器人名")
	private String name;

	@ApiModelProperty(value = "机器人描述")
	private String description;

	@ApiModelProperty(value = "机器人参数，根据参数来确定音频效果")
	private String params;

	@ApiModelProperty(value = "机器人语音demoURL")
	@TableField("content_voice_url")
	private String contentVoiceUrl;

	@TableField("created_at")
	private Date createdAt;

	@TableField("updated_at")
	private Date updatedAt;


	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public String getParams() {
		return params;
	}

	public void setParams(String params) {
		this.params = params;
	}

	public String getContentVoiceUrl() {
		return contentVoiceUrl;
	}

	public void setContentVoiceUrl(String contentVoiceUrl) {
		this.contentVoiceUrl = contentVoiceUrl;
	}

	public Date getCreatedAt() {
		return createdAt;
	}

	public void setCreatedAt(Date createdAt) {
		this.createdAt = createdAt;
	}

	public Date getUpdatedAt() {
		return updatedAt;
	}

	public void setUpdatedAt(Date updatedAt) {
		this.updatedAt = updatedAt;
	}

	@Override
	public String toString() {
		return "RobotConfig{" +
			", id=" + id +
			", name=" + name +
			", description=" + description +
			", params=" + params +
			", contentVoiceUrl=" + contentVoiceUrl +
			", createdAt=" + createdAt +
			", updatedAt=" + updatedAt +
			"}";
	}
}
