package com.yizhi.practice.application.pojo.domain;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Entity;
import javax.persistence.Id;
import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 场景对话配置
 * </p>
 *
 * @author MybatisCodeGenerator123
 * @since 2020-11-09
 */
@DynamicUpdate
@DynamicInsert
@Api(tags = "SceneChatConfig", description = "场景对话配置")
@TableName("scene_chat_config")
@Entity
public class SceneChatConfig implements Serializable {

    private static final long serialVersionUID = 1L;

	@Id
	private Long id;

	@ApiModelProperty(value = "陪练ID")
	@TableField("practice_id")
	private Long practiceId;

	@ApiModelProperty(value = "场景ID")
	@TableField("scene_id")
	private Long sceneId;

	@ApiModelProperty(value = "节点标识 10：机器人，20：学员 节点,80:开始节点")
	@TableField("scene_node_type")
	private Integer sceneNodeType;

	@ApiModelProperty(value = "场景名")
	@TableField("scene_name")
	private String sceneName;

	@ApiModelProperty(value = "层级 开始为 0")
	private Integer level;

	@ApiModelProperty(value = "父节点ID")
	private Long pid;

	@ApiModelProperty(value = "该轮 机器人话术")
	@TableField("robot_content")
	private String robotContent;

	@ApiModelProperty(value = "机器人话术音频URL")
	@TableField("robot_content_voice_url")
	private String robotContentVoiceUrl;

	@ApiModelProperty(value = "机器人话术时长")
	@TableField("robot_content_voice_duration")
	private Long robotContentVoiceDuration;

	@ApiModelProperty(value = "该轮学员话术")
	@TableField("account_content")
	private String accountContent;

	@ApiModelProperty(value = "学员上传真人话术文件名")
	@TableField("account_content_file_name")
	private String accountContentFileName;

	@ApiModelProperty(value = "学员标准话术音频URL ，没有上传则使用语音合成")
	@TableField("account_content_voice_url")
	private String accountContentVoiceUrl;

	@ApiModelProperty(value = "学员话术时长")
	@TableField("account_content_voice_duration")
	private Long accountContentVoiceDuration;

	@ApiModelProperty(value = "学员话术关键字 使用json存储，key为关键字，value为拓展词")
	@TableField("account_content_keyword")
	private String accountContentKeyword;

	@ApiModelProperty(value = "禁忌词，")
	@TableField("account_content_taboo_word")
	private String accountContentTabooWord;

	@ApiModelProperty(value = "节点坐标；x轴坐标")
	@TableField("x_axis")
	private String xAxis;

	@ApiModelProperty(value = "节点坐标；y轴坐标")
	@TableField("y_axis")
	private String yAxis;

	@ApiModelProperty(value = "0:not del 1:del")
	private Boolean deleted;

	@TableField("org_id")
	private Long orgId;

	@TableField("site_id")
	private Long siteId;

	@TableField("company_id")
	private Long companyId;

	@ApiModelProperty(value = "创建时间")
	@TableField("created_at")
	private Date createdAt;

	@ApiModelProperty(value = "创建管理员Id")
	@TableField("created_uid")
	private Long createdUid;

	@ApiModelProperty(value = "最后一次修改管理员ID")
	@TableField("updated_uid")
	private Long updatedUid;

	@ApiModelProperty(value = "更新时间")
	@TableField("updated_at")
	private Date updatedAt;


	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Long getPracticeId() {
		return practiceId;
	}

	public void setPracticeId(Long practiceId) {
		this.practiceId = practiceId;
	}

	public Long getSceneId() {
		return sceneId;
	}

	public void setSceneId(Long sceneId) {
		this.sceneId = sceneId;
	}

	public Integer getSceneNodeType() {
		return sceneNodeType;
	}

	public void setSceneNodeType(Integer sceneNodeType) {
		this.sceneNodeType = sceneNodeType;
	}

	public String getSceneName() {
		return sceneName;
	}

	public void setSceneName(String sceneName) {
		this.sceneName = sceneName;
	}

	public Integer getLevel() {
		return level;
	}

	public void setLevel(Integer level) {
		this.level = level;
	}

	public Long getPid() {
		return pid;
	}

	public void setPid(Long pid) {
		this.pid = pid;
	}

	public String getRobotContent() {
		return robotContent;
	}

	public void setRobotContent(String robotContent) {
		this.robotContent = robotContent;
	}

	public String getRobotContentVoiceUrl() {
		return robotContentVoiceUrl;
	}

	public void setRobotContentVoiceUrl(String robotContentVoiceUrl) {
		this.robotContentVoiceUrl = robotContentVoiceUrl;
	}

	public Long getRobotContentVoiceDuration() {
		return robotContentVoiceDuration;
	}

	public void setRobotContentVoiceDuration(Long robotContentVoiceDuration) {
		this.robotContentVoiceDuration = robotContentVoiceDuration;
	}

	public String getAccountContent() {
		return accountContent;
	}

	public void setAccountContent(String accountContent) {
		this.accountContent = accountContent;
	}

	public String getAccountContentFileName() {
		return accountContentFileName;
	}

	public void setAccountContentFileName(String accountContentFileName) {
		this.accountContentFileName = accountContentFileName;
	}

	public String getAccountContentVoiceUrl() {
		return accountContentVoiceUrl;
	}

	public void setAccountContentVoiceUrl(String accountContentVoiceUrl) {
		this.accountContentVoiceUrl = accountContentVoiceUrl;
	}

	public Long getAccountContentVoiceDuration() {
		return accountContentVoiceDuration;
	}

	public void setAccountContentVoiceDuration(Long accountContentVoiceDuration) {
		this.accountContentVoiceDuration = accountContentVoiceDuration;
	}

	public String getAccountContentKeyword() {
		return accountContentKeyword;
	}

	public void setAccountContentKeyword(String accountContentKeyword) {
		this.accountContentKeyword = accountContentKeyword;
	}

	public String getAccountContentTabooWord() {
		return accountContentTabooWord;
	}

	public void setAccountContentTabooWord(String accountContentTabooWord) {
		this.accountContentTabooWord = accountContentTabooWord;
	}

	public String getxAxis() {
		return xAxis;
	}

	public void setxAxis(String xAxis) {
		this.xAxis = xAxis;
	}

	public String getyAxis() {
		return yAxis;
	}

	public void setyAxis(String yAxis) {
		this.yAxis = yAxis;
	}

	public Boolean getDeleted() {
		return deleted;
	}

	public void setDeleted(Boolean deleted) {
		this.deleted = deleted;
	}

	public Long getOrgId() {
		return orgId;
	}

	public void setOrgId(Long orgId) {
		this.orgId = orgId;
	}

	public Long getSiteId() {
		return siteId;
	}

	public void setSiteId(Long siteId) {
		this.siteId = siteId;
	}

	public Long getCompanyId() {
		return companyId;
	}

	public void setCompanyId(Long companyId) {
		this.companyId = companyId;
	}

	public Date getCreatedAt() {
		return createdAt;
	}

	public void setCreatedAt(Date createdAt) {
		this.createdAt = createdAt;
	}

	public Long getCreatedUid() {
		return createdUid;
	}

	public void setCreatedUid(Long createdUid) {
		this.createdUid = createdUid;
	}

	public Long getUpdatedUid() {
		return updatedUid;
	}

	public void setUpdatedUid(Long updatedUid) {
		this.updatedUid = updatedUid;
	}

	public Date getUpdatedAt() {
		return updatedAt;
	}

	public void setUpdatedAt(Date updatedAt) {
		this.updatedAt = updatedAt;
	}

	@Override
	public String toString() {
		return "SceneChatConfig{" +
			", id=" + id +
			", practiceId=" + practiceId +
			", sceneId=" + sceneId +
			", sceneNodeType=" + sceneNodeType +
			", sceneName=" + sceneName +
			", level=" + level +
			", pid=" + pid +
			", robotContent=" + robotContent +
			", robotContentVoiceUrl=" + robotContentVoiceUrl +
			", robotContentVoiceDuration=" + robotContentVoiceDuration +
			", accountContent=" + accountContent +
			", accountContentFileName=" + accountContentFileName +
			", accountContentVoiceUrl=" + accountContentVoiceUrl +
			", accountContentVoiceDuration=" + accountContentVoiceDuration +
			", accountContentKeyword=" + accountContentKeyword +
			", accountContentTabooWord=" + accountContentTabooWord +
			", xAxis=" + xAxis +
			", yAxis=" + yAxis +
			", deleted=" + deleted +
			", orgId=" + orgId +
			", siteId=" + siteId +
			", companyId=" + companyId +
			", createdAt=" + createdAt +
			", createdUid=" + createdUid +
			", updatedUid=" + updatedUid +
			", updatedAt=" + updatedAt +
			"}";
	}
}
