package com.yizhi.practice.application.pojo.domain;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Entity;
import javax.persistence.Id;
import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 场景配置
 * </p>
 *
 * @author MybatisCodeGenerator123
 * @since 2020-10-29
 */
@DynamicUpdate
@DynamicInsert
@Api(tags = "SceneConfig", description = "场景配置")
@TableName("scene_config")
@Entity
public class SceneConfig implements Serializable {

    private static final long serialVersionUID = 1L;

	@Id
	private Long id;

	@ApiModelProperty(value = "practice_config表ID")
	@TableField("practice_id")
	private Long practiceId;

	@ApiModelProperty(value = "场景名")
	private String name;

	@ApiModelProperty(value = "场景描述")
	private String description;

	@ApiModelProperty(value = "排序")
	private Integer sort;

	@ApiModelProperty(value = "0 not deleted ,1 deleted")
	private Boolean deleted;

	@TableField("org_id")
	private Long orgId;

	@TableField("site_id")
	private Long siteId;

	@TableField("company_id")
	private Long companyId;

	@TableField("created_at")
	private Date createdAt;

	@ApiModelProperty(value = "创建人ID")
	@TableField("created_uid")
	private Long createdUid;

	@TableField("updated_at")
	private Date updatedAt;

	@ApiModelProperty(value = "最后一次修改人ID")
	@TableField("updated_uid")
	private Long updatedUid;


	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Long getPracticeId() {
		return practiceId;
	}

	public void setPracticeId(Long practiceId) {
		this.practiceId = practiceId;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public Integer getSort() {
		return sort;
	}

	public void setSort(Integer sort) {
		this.sort = sort;
	}

	public Boolean getDeleted() {
		return deleted;
	}

	public void setDeleted(Boolean deleted) {
		this.deleted = deleted;
	}

	public Long getOrgId() {
		return orgId;
	}

	public void setOrgId(Long orgId) {
		this.orgId = orgId;
	}

	public Long getSiteId() {
		return siteId;
	}

	public void setSiteId(Long siteId) {
		this.siteId = siteId;
	}

	public Long getCompanyId() {
		return companyId;
	}

	public void setCompanyId(Long companyId) {
		this.companyId = companyId;
	}

	public Date getCreatedAt() {
		return createdAt;
	}

	public void setCreatedAt(Date createdAt) {
		this.createdAt = createdAt;
	}

	public Long getCreatedUid() {
		return createdUid;
	}

	public void setCreatedUid(Long createdUid) {
		this.createdUid = createdUid;
	}

	public Date getUpdatedAt() {
		return updatedAt;
	}

	public void setUpdatedAt(Date updatedAt) {
		this.updatedAt = updatedAt;
	}

	public Long getUpdatedUid() {
		return updatedUid;
	}

	public void setUpdatedUid(Long updatedUid) {
		this.updatedUid = updatedUid;
	}

	@Override
	public String toString() {
		return "SceneConfig{" +
			", id=" + id +
			", practiceId=" + practiceId +
			", name=" + name +
			", description=" + description +
			", sort=" + sort +
			", deleted=" + deleted +
			", orgId=" + orgId +
			", siteId=" + siteId +
			", companyId=" + companyId +
			", createdAt=" + createdAt +
			", createdUid=" + createdUid +
			", updatedAt=" + updatedAt +
			", updatedUid=" + updatedUid +
			"}";
	}
}
