package com.yizhi.practice.application.pojo.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
public class PracticeBaseInfoDto {
    private Long id;

    @ApiModelProperty(value = "陪练名")
    private String name;

    @ApiModelProperty(value = "陪练logoURL")
    private String logoUrl;

    @ApiModelProperty(value = "陪练描述")
    private String description;

    @ApiModelProperty(value = "陪练模式",allowableValues = "80:训练+考核 ,10:训练 20:考核")
    private Integer useType;

    @ApiModelProperty(value = "训练开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm")
    private Date practiceStartAt;

    @ApiModelProperty(value = "训练结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm")
    private Date practiceEndAt;

    @ApiModelProperty(value = "考核开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm")
    private Date examStartAt;

    @ApiModelProperty(value = "考核结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm")
    private Date examEndAt;

    @ApiModelProperty(value = "允许最大考试次数 0:无限次；其他有限次；默认0")
    private Integer maxExamCount;

    @ApiModelProperty(value = "自定义关键词，逗号分隔")
    private String keyWord;

    @ApiModelProperty(value = "机器人id")
    private Long robotId;

    @ApiModelProperty(value = "机器人参数")
    private String robotParams;

    @ApiModelProperty(value = "机器人称呼")
    private String robotAliasName;

    @ApiModelProperty(value = "机器人头像URL null时走默认头像")
    private String robotPicUrl;

}
