package com.yizhi.practice.application.pojo.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

@Data
@Builder
@ApiModel(value = "PracticeChartRoundLogDto", description = "陪练记录-详情页面-本题分析")
public class PracticeChartRoundLogDto {

	@ApiModelProperty(value = "本题得分")
	private Integer totalScore;
	
	@ApiModelProperty(value = "关键词得分")
	private Integer keywordScore;

	@ApiModelProperty(value = "完整性得分")
	private Integer completeScore;

	@ApiModelProperty(value = "流畅度得分")
	private Integer smoothScore;

	@ApiModelProperty(value = "表达能力得分")
	private Integer expressScore;

	@ApiModelProperty(value = "礼貌性得分")
	private Integer politeScore;
	
	@ApiModelProperty(value = "学员话术")
	private String accountContent;
	
	@ApiModelProperty(value = "学员话术URL")
	private String accountContentVoiceUrl;
	
	@ApiModelProperty(value = "学员话术时长")
	private Long accountDuration;
	
	@ApiModelProperty(value = "学员话术配置的关键字 使用json存储，key为关键字，value为拓展词")
	private String keyWord;
	
	@ApiModelProperty(value = "机器人话术")
	private String robotContent;
	
	@ApiModelProperty(value = "机器人话术URL")
	private String robotContentUrl;
	
	@ApiModelProperty(value = "机器人话术时长")
	private Long robotDuration;
	
	@ApiModelProperty(value = "命中的关键词 逗号分隔")
	private String accountHitKeyword;
	
	@ApiModelProperty(value = "命中的禁忌词 分号分隔")
	private String forbidHit;
}
