package com.yizhi.practice.application.pojo.vo;

import java.util.Date;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

@Data
@Builder
@ApiModel(value = "PracticeChatRoundLogVo", description = "陪练记录-详情页面-场景对话信息（话术，得分）")
public class PracticeChatRoundLogVo {
	
	private Long id;

	@ApiModelProperty(value = "陪练记录ID")
	private Long practiceChatId;
	
	@ApiModelProperty(value = "场景ID")
	private Long sceneId;
	
	@ApiModelProperty(value = "场景名称")
	private String sceneName;
	
	@ApiModelProperty(value = "场景的排序号")
	private Integer sort;
	
	@ApiModelProperty(value = "节点标识 10：机器人，20：学员 节点,80:开始节点")
	private Integer sceneNodeType;
	
	@ApiModelProperty(value = "机器人话术")
	private String robotContent;
	
	@ApiModelProperty(value = "机器人话术URL")
	private String robotContentUrl;
	
	@ApiModelProperty(value = "机器人话术时长")
	private Long robotDuration;
	
	@ApiModelProperty(value = "学员话术")
	private String accountContent;
	
	@ApiModelProperty(value = "学员话术中命中的关键词")
	private List<String> accountHitKeyWord;
	
	@ApiModelProperty(value = "学员话术中命中的禁忌词")
	private List<String> hitForbidWord;
	
	@ApiModelProperty(value = "学员话术URL")
	private String accountContentVoiceUrl;
	
	@ApiModelProperty(value = "学员话术时长")
	private Long accountDuration;
	
	@ApiModelProperty(value = "本轮对话层级 ")
	private Integer roundLevel;
	
	@ApiModelProperty(value = "本轮对话过关方式 80:正常通过。10:跳过")
	private Integer roundSkipType;
	
	@ApiModelProperty(value = "是否跳过对话")
	private Boolean isSkip;
	
	@ApiModelProperty(value = "本轮平均得分")
	private Integer averageScore;
	
	@ApiModelProperty(value = "创建日期")
	private Date createdAt;
}
