package com.yizhi.practice.application.pojo.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
@ApiModel(value = "陪练基本信息和策略信息")
public class PracticeConfigInfoVo {

    @ApiModelProperty(value = "陪练id")
    private Long id;

    @ApiModelProperty(value = "陪练名")
    private String name;

    @ApiModelProperty(value = "陪练logoURL")
    private String logoUrl;

    @ApiModelProperty(value = "陪练描述")
    private String description;

    @ApiModelProperty(value = "陪练模式",allowableValues = "80:训练+考核 ,10:训练 20:考核")
    private Integer useType;

    @ApiModelProperty(value = "训练开始时间")
    private Date practiceStartAt;

    @ApiModelProperty(value = "训练结束时间")
    private Date practiceEndAt;

    @ApiModelProperty(value = "考核开始时间")
    private Date examStartAt;

    @ApiModelProperty(value = "考核结束时间")
    private Date examEndAt;

    @ApiModelProperty(value = "允许最大考试次数 0:无限次；其他有限次；默认0")
    private Integer maxExamCount;

    @ApiModelProperty(value = "自定义关键词，逗号分隔")
    private String keyWord;

    @ApiModelProperty(value = "机器人参数")
    private Long robotId;

    @ApiModelProperty(value = "机器人参数")
    private String robotParams;

    @ApiModelProperty(value = "机器人名称.第三方支持的机器人名称")
    private String robotName;

    @ApiModelProperty(value = "机器人称呼.自定义机器人的名称")
    private String robotAliasName;

    @ApiModelProperty(value = "机器人头像URL null时走默认头像")
    private String robotPicUrl;

    @ApiModelProperty(value = "机器人声音URL")
    private String robotVoiceUrl;

    @ApiModelProperty(value = "陪练状态",allowableValues = "陪练状态 80:上架 30:下架 10:草稿",example = "10")
    private Integer status;

    @ApiModelProperty(value = "练习可见范围  ",allowableValues = "80:平台可见 40:指定用户可见",example = "80")
    private Integer visibleType;

    @ApiModelProperty(value = "是否跳过对话 80允许，10:不允许")
    private Integer skipType;

    @ApiModelProperty(value = "每轮对话过关条件 80:开启 10:关闭")
    private Integer startNextRoundType;

    @ApiModelProperty(value = "过关分数")
    private Integer startNextRoundScore;

    @ApiModelProperty(value = "强制练习轮次")
    private Integer practiceFailedMaxCount;

    @ApiModelProperty(value = "考核策略是否允许重复提交; 80:允许重复提交 10:不允许重复提交")
    private Integer repeatPush;

    @ApiModelProperty(value = "多轮对话：80:开启 10:关闭")
    
    private Integer manyRoundChat;

    @ApiModelProperty(value = "相似度")
    
    private Integer similarityRate;

    @ApiModelProperty(value = "考核强制对话轮次")
    
    private Integer examFailedMaxCount;

    @ApiModelProperty(value = "未识别回复类型 80:默认回复，10:自定义回复")
    
    private Integer similarityFailedMsgType;

    @ApiModelProperty(value = "自定义未识别回复，分号分隔。")
    
    private String similarityFailedMsg;

    @ApiModelProperty(value = "考试及格分")
    
    private Integer examPassMinScore;

    @ApiModelProperty(value = "是否发放积分 80:发放 10:不发放")
    
    private Integer examGivenPointType;

    @ApiModelProperty(value = "积分策略")
    private List<PracticePointVo> practicePointList;

    @ApiModelProperty(value = "完整性")
    
    private Integer scoreRuleComplete;

    @ApiModelProperty(value = "关键词命中")
    
    private Integer scoreRuleKeyword;

    @ApiModelProperty(value = "流畅性")
    
    private Integer scoreRuleSmooth;

    @ApiModelProperty(value = "表达能力")
    
    private Integer scoreRuleExpress;

    @ApiModelProperty(value = "礼貌用语")
    
    private Integer scoreRulePolite;


}
