package com.yizhi.practice.application.repository;

import com.yizhi.practice.application.pojo.domain.PracticePointRuleConfig;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.querydsl.QuerydslPredicateExecutor;
import org.springframework.data.repository.query.Param;

import java.util.List;

/**
 * <p>
 * 陪练积分发放规则 Mapper 接口
 * </p>
 *
 * @author MybatisCodeGenerator123
 * @since 2020-10-22
 */
public interface PracticePointRuleConfigRepository extends  JpaRepository<PracticePointRuleConfig,Long>, QuerydslPredicateExecutor<PracticePointRuleConfig>{

    @Modifying
    @Query("update PracticePointRuleConfig rule set rule.deleted = true where rule.practiceId = :practiceId")
    void deleteRulesByPractice(@Param(value = "practiceId") Long practiceId);

    /**
     * 查询陪练下的积分规则
     * @param practiceId 陪练id
     */
    @Query("select r  from PracticePointRuleConfig r where r.practiceId = :practiceId and r.deleted = false ")
    List<PracticePointRuleConfig> selectListByPracticeId(@Param(value = "practiceId") Long practiceId);
}
