package com.yizhi.practice.application.repository;

import com.yizhi.practice.application.pojo.domain.PracticeVisible;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.querydsl.QuerydslPredicateExecutor;
import org.springframework.data.repository.query.Param;

import java.util.List;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author MybatisCodeGenerator123
 * @since 2020-10-22
 */
public interface PracticeVisibleRepository extends JpaRepository<PracticeVisible, Long>, QuerydslPredicateExecutor<PracticeVisible> {

    @Query(nativeQuery = true,
            value = "select distinct practice_id " +
                    "from " +
                    "practice_visible " +
                    "where company_id = :companyId " +
                    "and visible_site_id = :siteId " +
                    "and visible_account_id = :accountId " +
                    "and visible_type = 40 " +
                    "and deleted = false " +
                    "union " +
                    "select distinct practice_id " +
                    "from " +
                    "practice_visible " +
                    "where company_id = :companyId " +
                    "and visible_site_id = :siteId " +
                    "and visible_org_id in ( :parendOrgIdAndOrgId )" +
                    "and visible_type = 50 " +
                    "and deleted = false ")
    public List<Long> getIdsByAccountId(@Param("accountId") Long accountId,
                                        @Param("parendOrgIdAndOrgId") List<Long> parendOrgIdAndOrgId,
                                        @Param("siteId") Long siteId,
                                        @Param("companyId") Long companyId);


    @Modifying
    @Query("update PracticeVisible v set v.deleted = true where v.practiceId = :practiceId")
    void deleteVisibleRangeByPractice(@Param(value = "practiceId") Long practiceId);
    
    @Query(nativeQuery = true, value="select * from practice_visible where practice_id = :practiceId and deleted=0")
    public List<PracticeVisible> findByPracticeId(@Param(value = "practiceId") Long practiceId);
}
