package com.yizhi.practice.application.repository;

import com.yizhi.practice.application.pojo.domain.SceneChatConfig;

import java.util.List;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.querydsl.QuerydslPredicateExecutor;
import org.springframework.data.repository.query.Param;

/**
 * <p>
 * 场景对话配置 Mapper 接口
 * </p>
 *
 * @author MybatisCodeGenerator123
 * @since 2020-10-22
 */
public interface SceneChatConfigRepository extends  JpaRepository<SceneChatConfig,Long>, QuerydslPredicateExecutor<SceneChatConfig>{

    @Modifying
    @Query("update SceneChatConfig v set v.deleted = true where v.sceneId = :sceneId")
    void deleteSceneNodesByPracticeId(@Param(value = "sceneId") Long sceneId);

    /**
     * 修改场景对话中场景名称
     * @param newSceneName 新的场景名称
     */
    @Modifying
    @Query("update SceneChatConfig v set v.sceneName = :newSceneName where v.sceneId = :sceneId")
    void updateSceneNameBySceneId(@Param(value = "newSceneName") String newSceneName,@Param(value = "sceneId") Long sceneId);
    
    /**
     * 按照practice_id和scene_id查找未删除的话术节点
     * @param practiceId
     * @param sceneId
     * @return
     */
    @Query("select s from SceneChatConfig s where s.practiceId = :practiceId and s.sceneId = :sceneId and s.deleted = false order by s.level asc")
    public List<SceneChatConfig> findByPracticeIdAndSceneId(@Param(value = "practiceId") Long practiceId
    		, @Param(value = "sceneId") Long sceneId);
}
