package com.yizhi.practice.application.service;

import java.util.List;

import com.yizhi.practice.application.pojo.domain.PracticeChatRoundLog;
import com.yizhi.practice.application.pojo.dto.PracticeAllScoreDto;
import com.yizhi.practice.application.pojo.dto.PracticeChartRoundLogDto;
import com.yizhi.practice.application.pojo.vo.PracticeChatRoundLogVo;
import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;

/**
 * <p>
 * 场景中每轮对话记录 服务类
 * </p>
 *
 * @author MybatisCodeGenerator123
 * @since 2020-10-22
 */
public interface IPracticeChatRoundLogService {

	public PracticeAllScoreDto getAccountChatLog(Long practiceChatId, Long accountId, Long orgId, Long siteId, Long companyId);

	/**
	 * 根据陪练记录ID获取该陪练的所有陪练对话详情
	 * @param practiceChatId
	 * @return
	 */
	public List<PracticeChatRoundLogVo> getByPracticeChatId(Long practiceChatId);
	
	/**
	 * 根据某一句对话的ID获取该句对话的信息（得分，各维度得分，包含的关键词等）
	 * @param roundLogId
	 * @return
	 */
	public PracticeChartRoundLogDto getRoundLogById(Long roundLogId);

	/**
	 *
	 * @param practiceLogId
	 * @param chatId
	 * @param accountId
	 * @param orgId
	 * @param siteId
	 * @param companyId
	 * @return
	 */
	Long getCountByUserId(Long practiceLogId,Long chatId, Long accountId, Long orgId, Long siteId, Long companyId);


	/**
	 *
	 * @param level
	 * @param practiceLogId
	 * @param practiceId
	 * @param accountId
	 * @param orgId
	 * @param siteId
	 * @param companyId
	 * @return
	 */
	Long getLevelCountByAccount(Integer level,Long practiceLogId,Long practiceId,Long accountId,Long orgId,Long siteId,Long companyId);
}
