package com.yizhi.practice.application.service

import com.yizhi.practice.application.config.PracticeRunningStatusEnum
import com.yizhi.practice.application.pojo.domain.PracticeConfig
import com.yizhi.practice.application.pojo.vo.PracticeBaseInfoVo
import com.yizhi.practice.application.pojo.vo.PracticeConfigVo
import com.yizhi.practice.application.request.PracticesGetReq
import java.util.*

/**
 *
 *
 * 陪练配置 服务类
 *
 *
 * @author MybatisCodeGenerator123
 * @since 2020-10-22
 */
interface IPracticeConfigService {


    /**
     * 更具状态 时间 陪练IDS
     */
    fun getRunningCount(orgId: Long, siteId: Long, companyId: Long,date: Date?,state: PracticeRunningStatusEnum): List<Long>?

    /**
     * 根据ID获取陪练信息
     */
    fun getConfigByIds(ids:List<Long>):List<PracticeConfigVo>

    /**
     * 条件查询陪练列表
     */
    fun getPracticeConfigList(params : PracticesGetReq): List<PracticeBaseInfoVo>

    /**
     * 条件查询陪练列表总数
     */
    fun getPracticeConfigCount(params : PracticesGetReq): Long

    /**
     * 获取全站点可见的陪练ID
     */
    fun getSiteAllConfig(siteId: Long, companyId: Long): List<Long>
    /**
     * 删除陪练配置
     */
    fun delete(practiceId: Long)

    fun getListByTime(startDate: Date, endDate: Date) :List<PracticeConfig>
}