package com.yizhi.practice.application.service;


import com.yizhi.practice.application.pojo.domain.SceneChatConfig;

import java.util.List;

/**
 * <p>
 * 场景对话配置 服务类
 * </p>
 *
 * @author MybatisCodeGenerator123
 * @since 2020-10-22
 */
public interface ISceneChatConfigService {

    /**
     * 查询场景下节点信息
     * @param practiceId 陪练id
     * @param sceneId 场景id
     * @param nodeType 节点类型  机器人；学员
     * @param pId 父节点id ；开始节点id=0
     * @param level 层级 开始节点level=0
     */
    List<SceneChatConfig> selectChatNodes(Long practiceId, Long sceneId, Integer nodeType, Long pId, Integer level);

    /**
     * 删除场景下对话
     * @param practiceId 陪练id
     * @param sceneId 场景id
     * @param nodeType 节点类型  机器人；学员
     * @param pId 父节点id ；开始节点id=0
     * @param level 层级 开始节点level=0
     */
    void deleteChatNodes(Long practiceId, Long sceneId, Integer nodeType, Long pId, Integer level);

    /**
     * 查询陪练下所有场景对话机器人节点/学员节点标准话术未合成的节点集合
     * @param practiceId 陪练id
     */
    List<SceneChatConfig> selectChatVoiceIsEmpty(Long practiceId);

}
