package com.yizhi.practice.application.service.impl;

import com.querydsl.core.types.dsl.BooleanExpression;
import com.yizhi.practice.application.pojo.domain.PracticePointRuleConfig;
import com.yizhi.practice.application.pojo.domain.QPracticePointRuleConfig;
import com.yizhi.practice.application.repository.PracticePointRuleConfigRepository;
import com.yizhi.practice.application.service.BaseService;
import com.yizhi.practice.application.service.IPracticePointRuleConfigService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 陪练积分发放规则 服务实现类
 * </p>
 *
 * @author MybatisCodeGenerator123
 * @since 2020-10-22
 */
@Service
public class PracticePointRuleConfigServiceImpl extends BaseService implements IPracticePointRuleConfigService{

    @Autowired
    PracticePointRuleConfigRepository pointRuleConfigRepository;


    @Override
    public List<PracticePointRuleConfig> selectPointRulesByPractice(Long practiceId, boolean isDeleted) {

        QPracticePointRuleConfig query = QPracticePointRuleConfig.practicePointRuleConfig;
        BooleanExpression expression = query.practiceId.eq(practiceId).and(query.deleted.eq(isDeleted));
        List<PracticePointRuleConfig> list = jpaqueryFactory.select(query).from(query).where(expression).orderBy(query.point.desc()).fetch();
        return list;
    }


    @Override
    public PracticePointRuleConfig selectPointRulesByPractice(Long practiceId, Integer userScore, boolean isDeleted) {
        QPracticePointRuleConfig query = QPracticePointRuleConfig.practicePointRuleConfig;
        BooleanExpression expression = query.practiceId.eq(practiceId)
                .and(query.deleted.eq(isDeleted))
                .and(query.minScore.lt(userScore))
                .and(query.maxScore.goe(userScore));
        PracticePointRuleConfig config  = jpaqueryFactory.select(query).from(query).where(expression).orderBy(query.point.desc()).limit(1).fetchOne();
        return config;
    }
}
