package com.yizhi.practice.application.service.impl

import com.yizhi.practice.application.pojo.domain.PracticeVisible
import com.yizhi.practice.application.pojo.domain.QPracticeVisible
import com.yizhi.practice.application.repository.PracticeVisibleRepository
import com.yizhi.practice.application.service.BaseService
import com.yizhi.practice.application.service.IPracticeVisibleService
import org.springframework.beans.factory.annotation.Autowired
import org.springframework.stereotype.Service
import java.util.*

/**
 *
 *
 * 服务实现类
 *
 *
 * @author MybatisCodeGenerator123
 * @since 2020-10-22
 */
@Service
class PracticeVisibleServiceImpl : BaseService(), IPracticeVisibleService {

    @Autowired
    lateinit var practiceVisibleRepository: PracticeVisibleRepository

    override fun getIdsByAccountId(accountId: Long, parendOrgIdAndOrgId: List<Long>, siteId: Long, companyId: Long): MutableList<Long> {
        return practiceVisibleRepository.getIdsByAccountId(accountId,parendOrgIdAndOrgId,siteId,companyId)
    }

    override fun deleteByPracticeId(practiceId: Long) {

        val practiceVisible = QPracticeVisible.practiceVisible
        val expression = practiceVisible.practiceId.eq(practiceId).and(practiceVisible.deleted.eq(false))
        jpaqueryFactory.update(practiceVisible).set(practiceVisible.deleted, true).where(expression).execute()
    }

    override fun getListByPracticeId(practiceId: Long): List<PracticeVisible> {
        val practiceVisible = QPracticeVisible.practiceVisible
        val expression = practiceVisible.practiceId.eq(practiceId).and(practiceVisible.deleted.eq(false))
        return jpaqueryFactory.select(practiceVisible).from(practiceVisible).where(expression).fetch()
    }

    override fun getListByTime(startDate: Date, endDate: Date): List<PracticeVisible> {
        val practiceVisible = QPracticeVisible.practiceVisible
        val expression = practiceVisible.updatedAt.between(startDate,endDate)
        return jpaqueryFactory.select(
                practiceVisible)
                .from(practiceVisible)
                .where(expression)
                .fetch()
    }
}