package com.yizhi.practice.application.service.impl;

import com.querydsl.core.types.dsl.BooleanExpression;
import com.yizhi.practice.application.enums.PracticeNodeEnum;
import com.yizhi.practice.application.pojo.domain.QSceneChatConfig;
import com.yizhi.practice.application.pojo.domain.SceneChatConfig;
import com.yizhi.practice.application.repository.SceneChatConfigRepository;
import com.yizhi.practice.application.service.BaseService;
import com.yizhi.practice.application.service.ISceneChatConfigService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 场景对话配置 服务实现类
 * </p>
 *
 * @author MybatisCodeGenerator123
 * @since 2020-10-22
 */
@Service
public class SceneChatConfigServiceImpl extends BaseService implements ISceneChatConfigService{

    @Autowired
    SceneChatConfigRepository chatConfigRepository;

    @Override
    public List<SceneChatConfig> selectChatNodes(Long practiceId, Long sceneId, Integer nodeType, Long pId, Integer level) {

        QSceneChatConfig query = QSceneChatConfig.sceneChatConfig;
        BooleanExpression expresson = query.practiceId.eq(practiceId).and(query.deleted.eq(false));
        if (null != sceneId){
            expresson = expresson.and(query.sceneId.eq(sceneId));
        }
        if (null != nodeType){
            expresson = expresson.and(query.sceneNodeType.eq(nodeType));
        }
        if (null != level){
            expresson = expresson.and(query.level.eq(level));
        }
        if (null != pId){
            expresson = expresson.and(query.pid.eq(pId));
        }
        List<SceneChatConfig> sceneChatConfigs = jpaqueryFactory.select(query).from(query).where(expresson).fetch();
        return sceneChatConfigs;
    }

    @Override
    public void deleteChatNodes(Long practiceId, Long sceneId, Integer nodeType, Long pId, Integer level) {
        QSceneChatConfig query = QSceneChatConfig.sceneChatConfig;
        BooleanExpression expresson = query.practiceId.eq(practiceId).and(query.deleted.eq(false)).and(query.sceneId.eq(sceneId));
        if (null != nodeType){
            expresson = expresson.and(query.sceneNodeType.eq(nodeType));
        }
        if (null != level){
            expresson = expresson.and(query.level.eq(level));
        }
        if (null != pId){
            expresson = expresson.and(query.pid.eq(pId));
        }
        jpaqueryFactory.update(query).set(query.deleted,true).where(expresson).execute();
    }

    @Override
    public List<SceneChatConfig> selectChatVoiceIsEmpty(Long practiceId) {
        QSceneChatConfig query = QSceneChatConfig.sceneChatConfig;
        BooleanExpression expresson = query.practiceId.eq(practiceId)
                .and(query.deleted.eq(false))
                .and(
                        (query.sceneNodeType.eq(PracticeNodeEnum.STUDENT.getStatus()).and(query.accountContentVoiceUrl.isNull().or(query.accountContentVoiceUrl.isEmpty())))
                        .or(query.sceneNodeType.eq(PracticeNodeEnum.ROBOT.getStatus()).and(query.robotContentVoiceUrl.isNull().or(query.robotContentVoiceUrl.isEmpty())))
                );
        return jpaqueryFactory.select(query).from(query).where(expresson).fetch();
    }
}
