package com.yizhi.practice.application.service.impl;

import com.querydsl.core.types.Predicate;
import com.querydsl.core.types.dsl.BooleanExpression;
import com.yizhi.core.application.context.ContextHolder;
import com.yizhi.core.application.context.RequestContext;
import com.yizhi.practice.application.pojo.domain.QSceneConfig;
import com.yizhi.practice.application.pojo.domain.SceneConfig;
import com.yizhi.practice.application.service.BaseService;
import com.yizhi.practice.application.service.ISceneConfigService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 场景配置 服务实现类
 * </p>
 *
 * @author MybatisCodeGenerator123
 * @since 2020-10-22
 */
@Service
public class SceneConfigServiceImpl extends BaseService implements ISceneConfigService{

    private Logger logger = LoggerFactory.getLogger(SceneConfigServiceImpl.class);

    @Override
    public List<SceneConfig> findSceneByPracticeId(Long pracitceId) {
        QSceneConfig config = QSceneConfig.sceneConfig;
        Predicate pre = config.practiceId.eq(pracitceId).and(config.deleted.isFalse());
        return jpaqueryFactory
                .select(config)
                .from(config)
                .where(pre)
                .orderBy(config.sort.asc())
                .fetch();
    }


    @Override
    public long deleteScene(Long practiceId,Long sceneId) {
        RequestContext context = ContextHolder.get();
        QSceneConfig config = QSceneConfig.sceneConfig;
        if (null == practiceId && null == sceneId){
            logger.error("[SceneConfigServiceImpl:deleteScene]删除场景传入参数全部为空!accountId = {}",context.getAccountId());
            return -1;
        }
        BooleanExpression expression = config.deleted.eq(false);
        if (null != practiceId){
            expression = expression.and(config.practiceId.eq(practiceId));
        }
        if (null != sceneId){
            expression = expression.and(config.id.eq(sceneId));
        }
        return jpaqueryFactory.update(config).set(config.deleted, true).where(expression).execute();
    }

    @Override
    public void updateSceneSort(Long sceneId, int sort) {
        QSceneConfig config = QSceneConfig.sceneConfig;
        BooleanExpression expression = config.id.eq(sceneId).and(config.deleted.eq(false));
        jpaqueryFactory.update(config).set(config.sort,sort).where(expression).execute();
    }

}
