package com.yizhi.practice.application.third.aliyun;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import com.aliyun.oss.OSS;
import com.aliyun.oss.OSSClientBuilder;

/**
 * 
 * @author xiaoyu
 *
 */
@Configuration
public class AliyunConfig {

	@Value("${third.aliyun.endpoint}")
	private String endpoint;
	
	@Value("${third.aliyun.accessKeyId}")
    private String accessKeyId;
	
	@Value("${third.aliyun.accessKeySecret}")
    private String accessKeySecret;
	
	@Value("${third.aliyun.bucketName}")
    private String bucketName;
	
	@Bean
	public OSS ossClient() {
		return new OSSClientBuilder().build(endpoint, accessKeyId, accessKeySecret);
	}
	
	@Bean
	public AliyunUtil aliyunUtil() {
		return new AliyunUtil(bucketName, ossClient(), endpoint);
	}
}
