package com.yizhi.practice.application.third.aliyun;

import java.io.InputStream;

import com.aliyun.oss.OSS;
import com.aliyun.oss.model.OSSObject;

/**
 * 
 * @author xiaoyu
 *
 */
public class AliyunUtil {

    private String bucketName;
    private OSS ossClient;
    private String endPoint;
    
	public AliyunUtil() {
		super();
	}

	public AliyunUtil(String bucketName, OSS ossClient, String endPoint) {
		super();
		this.bucketName = bucketName;
		this.ossClient = ossClient;
		this.endPoint = endPoint;
	}

	/**
	 * OSS文件上传
	 * @param path 文件名
	 * @param fileInputStream 文件流
	 * @return
	 */
    public String uploadByStream(String path, InputStream fileInputStream) {
    	this.ossClient.putObject(bucketName, path, fileInputStream);
    	return concatPath(path);
    }

    private String concatPath(String filePath){
    	return new StringBuffer().append("https://").append(this.bucketName).append(".")
				.append(this.endPoint.replace("https://", "")).append("/").append(filePath).toString();
	}
    
    /**
     * OSS文件下载，这里返回oss object，从中可以获取流，使用之后必须关闭oss object
     * @param fileName
     * @return
     */
    public OSSObject download(String fileName) {
    	return this.ossClient.getObject(this.bucketName, fileName);
    }
}
