package com.yizhi.practice.application.third.baidu;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import com.baidu.aip.nlp.AipNlp;

/**
 * 
 * @author xiaoyu
 *
 */
@Configuration
public class BaiduConfig {
	
	@Value("${third.baidu.appId}")
	private String appId;
	
	@Value("${third.baidu.apiKey}")
	private String apiKey;
	
	@Value("${third.baidu.secretKey}")
	private String secretKey;
	
	@Value("${third.baidu.connectionTimeoutInMillis}")
	private Integer connectionTimeoutInMillis;
	
	@Value("${third.baidu.socketTimeoutInMillis}")
	private Integer socketTimeoutInMillis;

	@Bean
	public AipNlp clientBean() {
		AipNlp client = new AipNlp(appId, apiKey, secretKey);
		client.setConnectionTimeoutInMillis(connectionTimeoutInMillis);
		client.setSocketTimeoutInMillis(socketTimeoutInMillis);
		return client;
	}
	
	@Bean
	public BaiduUtil baiduUtil() {
		return new BaiduUtil(clientBean());
	}
}
