package com.yizhi.practice.application.third.baidu;

/**
 * BOW（词包）模型

	基于bag of words的BOW模型，特点是泛化性强，效率高，比较轻量级，适合任务：输入序列的 term “确切匹配”、不关心序列的词序关系，对计算效率有很高要求；<br/>
	
GRNN（循环神经网络）模型
	
	基于recurrent，擅长捕捉短文本“跨片段”的序列片段关系，适合任务：对语义泛化要求很高，对输入语序比较敏感的任务；<br/>
	
CNN（卷积神经网络）模型
	
	模型语义泛化能力介于 BOW/RNN 之间，对序列输入敏感，相较于 GRNN 模型的一个显著优点是计算效率会更高些。

 * @author xiaoyu
 *
 */
public enum SimnetMode {

	BOW("BOW"), CNN("CNN"), GRNN("GRNN");
	
	private String value;

	private SimnetMode(String value) {
		this.value = value;
	}

	public String getValue() {
		return value;
	}

	public void setValue(String value) {
		this.value = value;
	}
	
}
