package com.yizhi.practice.application.third.util;

import com.yizhi.practice.application.enums.PracticeXunFeiBusinessTypeEnum;

public class FrameUtil {
	
	private static final Integer BASIC_FRAME_SIZE = 1280;

	/**
	 * 根据讯飞业务类型，决定发送语音时的frame size
	 * @param businessType
	 * @param recognizeFactor
	 * @param evaluateFactor
	 * @return
	 */
	public static Integer determineFrameSize(PracticeXunFeiBusinessTypeEnum businessType, Integer recognizeFactor, Integer evaluateFactor) {
		Integer result = null;
		switch(businessType) {
		case RECOGNIZE:
			result = BASIC_FRAME_SIZE * recognizeFactor;
			break;
		case EVALUATE:
			result = BASIC_FRAME_SIZE * evaluateFactor;
			break;
		default:
			break;
		}
		return result;
	}
}
