package com.yizhi.practice.application.third.util;

import java.text.SimpleDateFormat;
import java.util.Date;

public class OssFileUtil {


    /**
     * 获取管理端标准话术上传路径
     * @return 文件uri
     * /企业ID/站点id/智能陪练/标准话术/yyyyMMdd/用户id/时间戳.mp3
     */
    public static String getManageStandardVoiceUri(Long companyId,Long siteId,String business,String subBusiness,Long accountId,Long randomId){

        SimpleDateFormat dateFormat = new SimpleDateFormat("yyyyMMdd");
        String separator = "/";
        StringBuffer path = new StringBuffer();
        path.append(companyId).append(separator)
                .append(siteId).append(separator)
                .append(business).append(separator)
                .append(subBusiness).append(separator)
                .append(dateFormat.format(new Date())).append(separator)
                .append(accountId).append(separator)
                .append(randomId)
                .append(".mp3");
        return path.toString();
    }
    
    /**
     * /企业ID/站点id/智能陪练/{子业务}/yyyyMMdd/用户id/时间戳{文件后缀}
     * @param companyId
     * @param siteId
     * @param business
     * @param subBusiness
     * @param accountId
     * @param suffix
     * @return
     */
    public static String getManageStandardFileUri(Long companyId,Long siteId,String business,String subBusiness,Long accountId, String suffix){

        SimpleDateFormat dateFormat = new SimpleDateFormat("yyyyMMdd");
        String separator = "/";
        StringBuffer path = new StringBuffer();
        path.append(companyId).append(separator)
                .append(siteId).append(separator)
                .append(business).append(separator)
                .append(subBusiness).append(separator)
                .append(dateFormat.format(new Date())).append(separator)
                .append(accountId).append(separator)
                .append(new Date().getTime())
                .append(suffix);
        return path.toString();
    }
}
