package com.yizhi.practice.application.xservice

import com.yizhi.core.application.context.RequestContext
import com.yizhi.practice.application.pojo.po.AnalyzeStudentVoicePo
import com.yizhi.practice.application.pojo.po.StartPracticePO
import com.yizhi.practice.application.pojo.vo.*
import org.apache.xpath.operations.Bool


/**
 * @Date 2020/10/28 4:48 下午
 * @Author lvjianhui
 **/
interface PracticeStuChatXService {

    /**
     * 开始陪练
     */
    fun startPractice(startPracticePO: StartPracticePO): StuPracticeLogVo

    /**
     * 获取所有场景
     */
    fun getAllScene(practiceId: Long): List<SceneChatVO>?

    /**
     * 获取场景第一句机器人话术
     */
    fun getRobotFirstChat(practiceId: Long, sceneId: Long, useType: Int): List<ChatContextVo>?

    /**
     * 更具机器人话术，查询学员话术
     */
    fun getStudentContent(sceneId: Long, useType: Int, practiceId: Long, practiceChatLogId: Long, robotChatId: Long): List<StudentChatContextVo>?

    /**
     * 用户上传录音
     */
    fun analyzeStudentVoice(po: AnalyzeStudentVoicePo): ChatResultVo

    /**
     * 更具学员话术返回机器人话术
     */
    fun getRobotLevelChat(practiceId: Long, sceneId: Long, chatRoundConfigId: Long, useType: Int): List<ChatContextVo>

    /**
     * 陪练结束，返回结果
     */
    fun endPractice(practiceId: Long, practiceLogId: Long, useType: Int, requestContext: RequestContext, errorEnd: Boolean): PracticeEndResultVo

    fun getLogResult(practiceLogId: Long, accountId: Long): PracticeEndResultVo?

    fun deletedAccountUploadId(accountUploadId: Long, context: RequestContext)
}