package com.yizhi.practice.application.xservice

import com.yizhi.core.application.context.RequestContext
import com.yizhi.practice.application.config.PracticeRunningStatusEnum
import com.yizhi.practice.application.pojo.vo.PracticeConfigVo
import com.yizhi.practice.application.pojo.vo.PracticeJoinedVo
import com.yizhi.util.application.domain.BizResponse
import com.yizhi.util.application.page.PageInfo


/**
 * @Date 2020/10/26 3:18 下午
 * @Author lvjianhui
 **/
interface PracticeStudentXSerice {

    /**
     * 获取该用户可见的 可参加的陪练数量
     * @param accountId
     * @param orgId
     * @param siteId
     * @param companyId
     * @return
     */
    fun getRunningCount(accountId: Long, orgId: Long, siteId: Long, companyId: Long): Int

    /**
     * 获取正在进行的陪练
     * @param accountId
     * @param orgId
     * @param siteId
     * @param companyId
     * @param state
     * @see PracticeRunningStatusEnum
     *
     * @return
     */
    fun getRunningList(accountId: Long, orgId: Long, siteId: Long, companyId: Long, state: Int, pageIndex: Int, pageSize: Int): PageInfo<PracticeConfigVo>?


    fun getPracticeInfo(practiceId: Long, accountId: Long, orgId: Long, siteId: Long, companyId: Long): PracticeConfigVo

    /**
     * 获取陪练等级的参加情况
     */
    fun getPracticeJoined(practiceId: Long, context: RequestContext): PracticeJoinedVo

    /**
     * 获取前端走哪个tab 0:未开始 1:进行中 2:已完成
     */
    fun getTabIndex(requestContext: RequestContext): Int

    /**
     * 用户是否可见陪练
     */
    fun getUserPracticeAuth(requestContext: RequestContext, practiceId: Long): BizResponse<Boolean>

}