package com.yizhi.practice.application.xservice;

import com.yizhi.practice.application.pojo.vo.SceneVo;
import com.yizhi.practice.application.request.SceneReq;
import com.yizhi.util.application.domain.BizResponse;

import java.util.List;

/**
  * 陪练场景
 **/
public interface PracticeXSceneservice {


    /**
     * 添加/修改场景
     * @param sceneReq 场景入参
     * @return 场景实体
     */
    BizResponse save(SceneReq sceneReq);

    /**
     * 根据场景id查询场景详情
     * @param sceneId 场景id
     */
    SceneVo selectScene(Long sceneId);

    /**
     * 删除场景
     * @param sceneId 场景id
     */
    BizResponse deleteScene(Long sceneId);

    /**
     * 查询场景列表
     * @param practiceId 陪练id
     * @return 场景列表
     */
    List<SceneVo> selectSceneList(Long practiceId);

    /**
     * 修改场景排序
     */
    BizResponse updateSceneSort(List<SceneReq> sceneReqList);
}
