import com.baomidou.mybatisplus.generator.AutoGenerator;
import com.baomidou.mybatisplus.generator.config.*;
import com.baomidou.mybatisplus.generator.config.converts.MySqlTypeConvert;
import com.baomidou.mybatisplus.generator.config.rules.DbColumnType;
import com.baomidou.mybatisplus.generator.config.rules.DbType;
import com.baomidou.mybatisplus.generator.config.rules.NamingStrategy;
import org.junit.Ignore;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 代码生成器演示
 * </p>
 */
@Ignore
public class MybatisCodeGenerator {

	/**
	 * <p>
	 * MySQL 生成演示
	 * </p>
	 */
	public static void main(String[] args) {
		AutoGenerator mpg = new AutoGenerator();


//		ConstVal.MAPPER = ""
		// 全局配置
		GlobalConfig gc = new GlobalConfig();
		gc.setFileOverride(true);
		gc.setActiveRecord(true);// 不需要ActiveRecord特性的请改为false
		gc.setEnableCache(false);// XML 二级缓存
		gc.setBaseResultMap(true);// XML ResultMap
		gc.setBaseColumnList(false);// XML columList
		// 第一次生成代码可直接放到代码中，开发中期不建议生成代码直接覆盖以前代码
		gc.setOutputDir("chat-practice-service/src/test/java");
		gc.setAuthor("MybatisCodeGenerator");

		mpg.setGlobalConfig(gc);

		// 数据源配置
		DataSourceConfig dsc = new DataSourceConfig();
		dsc.setDbType(DbType.MYSQL);
		dsc.setTypeConvert(new MySqlTypeConvert() {
			// 自定义数据库表字段类型转换【可选】
			@Override
			public DbColumnType processTypeConvert(String fieldType) {
				System.out.println("转换类型：" + fieldType);
				// 注意！！processTypeConvert 存在默认类型转换，如果不是你要的效果请自定义返回、非如下直接返回。
				return super.processTypeConvert(fieldType);
			}
		});
		dsc.setDriverName("com.mysql.cj.jdbc.Driver");
		dsc.setUsername("devDB");
		dsc.setPassword("devDB@123");
		dsc.setUrl("jdbc:mysql://192.168.1.31:3306/cloud_chat_practice?useUnicode=true&characterEncoding=UTF-8&");
		mpg.setDataSource(dsc);

		// 策略配置
		StrategyConfig strategy = new StrategyConfig();
		strategy.setTablePrefix(new String[] { "" });// 此处可以修改为您的表前缀
		strategy.setNaming(NamingStrategy.underline_to_camel);// 表名生成策略
		strategy.setInclude(new String[] {"scene_chat_config","practice_chat_round_log"}); // 需要生成的表
		strategy.setEntityLombokModel(false);
		mpg.setStrategy(strategy);

		// 包配置
		PackageConfig pc = new PackageConfig();
		pc.setParent("com.yizhi.practice.application");
		pc.setController("controller");
		pc.setEntity("domain");
		pc.setMapper("repository");
		mpg.setPackageInfo(pc);

//		// 注入自定义配置，可以在 VM 中使用 cfg.abc 【可无】
//		InjectionConfig cfg = new InjectionConfig() {
//			@Override
//			public void initMap() {
//				Map<String, Object> map = new HashMap<String, Object>();
//				map.put("abc", this.getConfig().getGlobalConfig().getAuthor() + "-mp");
//				this.setMap(map);
//			}
//		};

//		List<FileOutConfig> focList = new ArrayList<FileOutConfig>();
		// 调整 xml 生成目录演示
//		focList.add(new FileOutConfig("/mapper.xml.vm") {
//			@Override
//			public String outputFile(TableInfo tableInfo) {
//				return "/develop/code/xml/" + tableInfo.getEntityName() + ".xml";
//			}
//		});
//		cfg.setFileOutConfigList(focList);
//		mpg.setCfg(cfg);

		TemplateConfig tc = new TemplateConfig();
		tc.setXml(null);
		tc.setController(null);
		tc.setEntity("entity.java.vm");
		tc.setMapper(null);
		tc.setServiceImpl(null);
		tc.setService(null);
		mpg.setTemplate(tc);

		// 执行生成
		mpg.execute();

	}

}