package com.yizhi.practice.application.third.xunfei;

import java.io.File;
import java.io.FileInputStream;
import java.io.InputStream;

import org.junit.Ignore;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import com.yizhi.practice.application.enums.PracticeVoiceTypeEnum;
import com.yizhi.practice.application.third.xunfei.param.IEvaluateResult;

/**
 * 仅在本地测试使用，避免浪费账号的免费额度-.-
 *
 * @author xiaoyu
 */
@Ignore
@RunWith(SpringRunner.class)
@SpringBootTest
public class XunfeiUtilTest {

	@Autowired
	XunfeiUtil x;
	
	@Test
	public void testStringToVoice() throws Exception {
		System.out.println(x.stringToVoice("您好,我是讯飞机器人许小宝。", "{\"name\":\"aisbabyxu\"}", "practice/robot/xuxiaobao.mp3", PracticeVoiceTypeEnum.MP3));
	}

    @Test
    public void testVoiceToString() throws Exception {
        String mp3Path = new File("").getCanonicalPath() + File.separator + "src" + File.separator + "test" + File.separator + "resources" + File.separator + "read_sentence_cn.pcm";
        InputStream ins = new FileInputStream(mp3Path);
        System.out.println("============test reslut:" + x.voiceToString(ins, PracticeVoiceTypeEnum.PCM));
    }

    @Test
    public void testEvaluate() throws Exception {
        String input = "今天天气怎么样？";
        String mp3Path = new File("").getCanonicalPath() + File.separator + "src" + File.separator + "test" + File.separator + "resources" + File.separator + "read_sentence_cn.wav";
        InputStream ins = new FileInputStream(mp3Path);
        IEvaluateResult res = x.evaluate(input, ins, PracticeVoiceTypeEnum.WAV);
        System.out.println(res);
    }

	/*
	 * @Test public void test() throws Exception { //File file = new File(
	 * "D:\\workspace\\project\\cloud-chat-practice\\chat-practice-service\\src\\test\\resources\\1605146300193114688.wav"
	 * ); File f = AudioUtils.INSTANCE.wavToMp3(
	 * "https://cloud-wmy.oss-cn-shanghai.aliyuncs.com/20201028/forTest.wav");
	 * //InputStream ins = new FileInputStream(f);
	 * //System.out.println(x.voiceToString(ins, PracticeVoiceTypeEnum.MP3)); }
	 */
}
